Seznámení s ochranným systémem OptimAccess

Ochranný softwarový systém OptimAccess slouží k zabezpečení výpočetní techniky proti neodbornému, neúmyslnému, či zcela záměrnému poškození již instalovaného software a jeho nastavení, operačního systému, komunikačních prostředků a nastavení Windows na pevných discích jednotlivých počítačů.

OptimAccess je samostatný, komplexní, modulární ochranný systém, který si díky široké škále ochranných metod dokáže poradit jak s počítačovými viry,tak se zásahy laických uživatelů a zabezpečí správcům značnou časovou, ale i materiální úsporu. OptimAccess nalezne uplatnění při ochraně jednotlivých počítačů nebo celých rozsáhlých informačních systémů, kde je velice obtížné udržet bezchybný provozuschopný stav.

Bezpečnost bez šifrování?

Je důležité si uvědomit, že program OptimAccess je „pouze ochranným systémem“. Systém přímo nechrání fyzicky uložená data na pevném disku pomocí kryptografického algoritmu. Dále je třeba vzít v úvahu obecný bezpečnostní fakt, že bez použití šifrovacího algoritmu nemá vůbec smysl o zabezpečení dat hovořit. Je-li tedy jedním z vašich požadadavků také fyzická ochrana dat, je třeba skombinovat nasazení programu OptimAccess spolu s některým programovým balíkem pro šifrování dat.

Nejvíce bezpečné a transparentní vůči uživateli jsou balíky pro on-line šiforvání pracující přímo na úrovni fyzického uložení dat na pevném disku či výměnném médiu. Více informací o nabídce a možnostech konkrétních produktů naleznete na www stránkách výrobce nebo je můžete telefonicky získat na obchodním a technickém oddělení.

Provoz systému

Nespornou předností ochranného systému OptimAccess je jeho nenápadný provoz. Uživatel pracuje v naprosto standardním prostředí, které je mu důvěrně známo, přičemž neregistruje žádný rozdíl. Výjimkou jsou situace, kdy jeho aktivity směřují k potencionálně nebezpečným situacím.

Podrobnější informace o návrhu, funkcích programu, nasazení systému v jednotlivých operačních systémech a počítačových sítích naleznete pod hesly:

  • Koncepce ochranného systému;
  • Specifika jednotlivých operačních systémů;
  • Nasazení v síti.


Koncepce ochranného systému

Systém OptimAccess lze instalovat na stanice s operačním systémem MS-DOS, Windows 3.x, 9x, NT a 2000. Díky víceúrovňovému zavádění se dosahuje vysokého stupně stability, bezpečnosti a běžnému uživateli je znemožněno nelegálně deaktivovat ochranný systém.

První část ovladačů se zavádí do paměti ještě před startem vlastního operačního systému a má za úkol znemožnit zavádění systému z běžné bootovací diskety, případně jiného média a následně kontroluje zavádění vlastního operačního systému. Druhou částí potom jsou SYS, případně VXD ovladače.

Funkce systému

Prvotní instalace ochranného systému OptimAccess je snadná, časově nenáročná a výhodou je možnost jeho zavedení do již nakonfigurované stanice. Lze jej instalovat také hromadně prostřednictvím sítě. Není zde třeba provádět žádné úpravy, reinstalovat operační systém ani již instalovaný software. Aktivaci respektive deaktivaci je možno provést kdykoli během práce systému OptimAccess. Uživatel počítače při své práci není nijak omezován a přítomnost ochranného systému OptimAccess ani nezaregistruje.

  • ochrana adresářové struktury má dvě formy:
    1. adresáře jednotlivých pevných disků se dají nastavit jako neporušitelné, což v praxi znamená, že po modifikaci jednotlivých částí se vše automaticky uvádí do původního stavu;
    2. vybrané adresáře nebo soubory se mohou nastavit jako Read Only a uživatel potom nemá možnost je smazat nebo modifikovat.
  • ochrana nastavení operačního systému Windows pomocí znepřístupnění jednotlivých Ovládacích panelů;
  • zavedení komplexní ochrany registrační databáze, kdy se po následném restartu počítače veškerá nastavení uvádí zpět do předem definovaného stavu;
  • zamezení instalace nového software a to formou znemožnění spuštění instalačních programů SETUP a INSTAL, případně definovat jiná jména těchto souborů;
  • omezení vstupů do počítačů definováním výměnných disků (CD, ZIP, FDD,...), které se mohou na počítači použít;
  • záloha a obnova nastavení ochranného systému;
  • správa hesla pro práci s ochranným systémem.

Ochranný systém lze konfigurovat prostřednictvím průvodce při instalaci či pomocí rozhraní aplikace OptimAccess. Podrobnější informace o konfiguraci a nastavení jednotlivých funkcí naleznete pod hesly Nastavení ochranného systému s pomocí průvodce, Ovládání aplikace ve Windows 9x a Ovládání aplikace ve Windows NT/2000.

Funkce nadstaveb systému

V rámci nadstavbových modulů systému je možné dále rozšířit funkce ochranného systému systému o:

  • kompletní ochranu operačního systému již při jeho zavádění;
  • podrobnější nastavení jednotlivých ochranných funkcí a ochranu nastavení uživatelských aplikací;
  • vzdálenou správu systému v rámci počítačové sítě.

Podrobnější informace o jednotlivých nadstavbách naleznete pod hesly Nadstavbové moduly ochranného systému, Modul Plus, Modul Extension a Modul Remote Control.


Specifika jednotlivých operačních systémů

Tato nápověda je společná pro operační systémy Windows 9x, Windows NT a Windows 2000. Příslušnost jednotlivých hesel k danému operačnímu systému je v pravém horním hohu jednotlivých hesel a témat vyznačena následujícími ikonami:

Informace uvedené pod daným heslem se vztahují k operačnímu systému Windows 9x
Informace uvedené pod daným heslem se vztahují k operačnímu systému Windows NT a Windows 2000

Ochranný systém OptimAccess je určen pro operační systémy MS-DOS, Windows 3.x, Windows 9x, Windows ME, Windows NT a 2000. V dalších operačních systémech je použitelný s jistým omezením. S jeho specifiky pro jednotlivé operační systémy vás seznámí následující hesla:

  • MS-DOS, MS Windows 3.1x;
  • MS Windows 9x a ME;
  • MS Windows 2000 a NT.

Podrobnější inforamce o možnostech síťového nasazení produktu naleznete pod heslem Nasazení v síti.


MS-DOS, MS Windows 3.1x

U počítačů, které mají instalovaný pouze Operační systém MS-DOS, Windows 3x, například technologie Tenkých klientů, které podporuje Windows 2000 Server, se může OptimAccess ovládat a kompletně spravovat pomocí DOSového Ovládacího prostředí. Ovládací prostředí systému se spouští souborem Oa16.exe z adresáře, kde je aplikace nainstalována (pokud jste při instalaci neurčili jiný adresář, aplikace je instalována v adresáři C:\OA6).

Ovládání systému

Po zadání hesla se hlavní nabídka systému ovládá klávesou F10. V levé části modrého okna je adresářová struktura, ve které se správce může pohybovat pomocí kurzorových kláves. Příznak adresáře se mění kombinací kláves Ctrl a Enter. Pomocí klávesy Tab se přepíná kurzor mezi adresářovou a souborovou částí okna. Příznaky jednotlivých souborů se mění klávesou Enter. Všechny funkce systému jsou identické s prostředím ve Windows 9x s výjimkou funkcí:

  • komplexní ochrany Registrační databáze;
  • ochrannou Ovládacích panelů;
  • neexistují žádné nadstavbové moduly.

Podrobnější informace o možném nastavení jednotlivých funkcí ochranného systému získáte pod heslem Ovládání aplikace ve Windows 9x.


MS Windows 9x a ME

Pro platformu operačního systému Windows 9x jsou bez jakýchkoliv omezení ekvivalentní následující verze (jak česká, tak i anglická mutace):

  • Microsoft Windows 95;
  • Microsoft Windows 95 OSR2;
  • Microsoft Windows 98;
  • Microsoft Windows 98 SE;
  • Microsoft Windows Millennium Edition.

Nápověda obsahuje kompletní popis průvodce, ovládacího prostředí a funkcí ochranného systému, nadstavbových modulů, doporučení a rad pro optimální nastavení. Podrobnější informace o jednotlivých tématech naleznete pod hesly:

  • Popis instalace systému plus další informace týkající se technické podpory a omezení systému naleznete pod heslem Začínáme s programem OptimAccess.
  • Postup jak nakonfigurovat ochranný systém po jeho první aktivaci s pomocí průvodce naleznete pod heslem Nastavení ochranného systému s pomocí průvodce.
  • Popis ovládacího rozhraní systému a konfigurace jeho funkcí naleznete pod heslem Ovládání aplikace ve Windows 9x.
  • Popis ovládání a konfigurace jednotlivých volitelných nadstaveb systému je obsažen pod heslem Nadstavbové moduly ochranného systému.
  • Rady a doporučení výrobce pro optimální konfiguraci a vyladění ochranného systému naleznete pod heslem Doporučený postup konfigurace.
  • Informace o kolizích a řešení případných možných problémů jsou umístěny pod heslem Odstraňování problémů.
  • Vysvětlení základních pojmů s nimiž tato nápověda pracuje nalezne pod heslem Slovníček.


MS Windows 2000 a NT

Pro platformu operačního systému Windows NT/2000 jsou bez jakýchkoliv omezení ekvivalentní následující verze (jak česká, tak i anglická mutace):

  • Microsoft Windows NT Workstation 4.0 s aktualizací Windows NT Service Pack 4 nebo vyšší (build 2195);
  • Microsoft Windows NT Server 4.0 s aktualizací Windows NT Service Pack 4 nebo vyšší (build 2195);
  • Microsoft Windows 2000 Professional;
  • Microsoft Windows 2000 Server;
  • Microsoft Windows 2000 Advanced Server;

Nápověda obsahuje kompletní popis průvodce, ovládacího prostředí a funkcí ochranného systému, nadstavbových modulů, doporučení a rad pro optimální nastavení. Podrobnější informace o jednotlivých tématech naleznete pod hesly:

  • Popis instalace systému plus další informace týkající se technické podpory a omezení systému naleznete pod heslem Začínáme s programem OptimAccess.
  • Popis ovládacího rozhraní systému a konfigurace jeho funkcí naleznete pod heslem Ovládání aplikace ve Windows NT/2000.
  • Popis ovládání a konfigurace jednotlivých volitelných nadstaveb systému je obsažen pod heslem Nadstavbové moduly ochranného systému.
  • Rady a doporučení výrobce pro optimální konfiguraci a vyladění ochranného systému naleznete pod heslem Doporučený postup konfigurace.
  • Informace o kolizích a řešení případných možných problémů jsou umístěny pod heslem Odstraňování problémů.
  • Vysvětlení základních pojmů s nimiž tato nápověda pracuje nalezne pod heslem Slovníček.


Nasazení v síti

Ochranný systém OptimAccess spolu s klienty pro vzdálenou správu podporují síťové prostředí postavené na protokolech TCP/IP a NetBEUI.

Hromadná instalace

Šestá verze ochranného systému OptimAccess podporuje vzdálenou hromadnou síťovou instalaci. Nakopírujete soubory na server a do login scriptu uživatelů zadáte patřičnou síťovou cestu k instalačním souborům. Snadno tak instalujete ochranný systém na jednotlivé pracovní stanice a aktivujete na stanicích klienta pro vzdálenou správu. Následně pak můžete jednotlivé stanice obejít, aktivovat a nakonfigurovat ochranný systém. Mnohem pohodlnější je ovšem použití nadstavbového modulu Remote Control, který je určený pro vzdálenou správu.

Celý proces síťové instalace lze velmi detailně nakonfiguravat. Podrobný popis postupu síťové instalace systému naleznete pod heslem Síťová instalace.

Vzdálená správa

Pro plné využití síťových schopností ochranného systému je třeba mít instalován nadstavbový modul Remote Control, určený pro vzdálenou správu. V šesté verzi ochranného systému se modul Remote Control skládá ze dvou aplikací, v závislosti na použitém operačním systému spravovaných počítačů, na kterých běží klient ochranného systému.

Detailní informace o možnostech a funkcích vzdálené správy ochranného systému OptimAccess naleznete pod heslem Modul Remote Control.


Začínáme s programem OptimAccess

Dříve než použijete ochranný systém OptimAccess si pečlivě prostudujte Licenční ujednání. Naleznete jej na Registrační kartě a nebo jako přílohu příručky Začínáme s ochranným systémem OptimAccess. Nesouhlasíte-li s ustanoveními tohoto ujednání, můžete produkt do 10-ti dnů od koupě vrátit oproti úhradě jeho ceny ze strany dodavatele.

Balení

Základním médiem pro distribuci ochranného systému OptimAccess je disk CD-ROM. Distribuční balení produktu obsahuje:

  • disk CD-ROM s programem a elektronickou dokumentací;
  • Registrační kartu a Návratku registrační karty, obsahující licenční číslo, počet licencí produktu, informace o zakoupených nadstavbách ochranného systému a aktivační kód;
  • příručku Začínáme s ochranným systémem OptimAccess, dodávanou ve formě bookletu.

Systémové požadavky

Po stránce hardwarových požadavků se nároky ochranného systému OptimAccess nijak neliší od doporučených systémových požadavků pro daný operační systém. Základní instalace Ochranného systému bez nadstavbových modulů vyžaduje 2,5 MB diskového prostoru. Plná instalace ochranného systému včetně všech nadstavbových modulů zabírá na pevném disku místo 10 MB.

Pokyny pro:

  • instalaci ochranného systému naleznete pod heslem Instalace verze 6.0;
  • upgrade ze starší verze ochranného systému naleznete pod heslem Upgrade ze starších verzí;
  • informace o možnostech získání odborné pomoci a rady jak kontaktovat výrobce naleznete pod heslem Odborná pomoc.


Instalace verze 6.0

Ochranný systém OptimAccess se instaluje také do systémových oblastí pevného disku a pro svou práci vyžaduje bezchybně funkční operační systém a Windows. Z tohoto důvodu je nutné před započetím vlastní instalace ochranného sytému provést následující kroky:

  • antivirovou kontrolu zvláště s ohledem na viry napadající zaváděcí oblast pevného disku (též označované jako Boot-viry);
  • kontrolu chyb povrchu disku, souborů a složek programem ScanDisk (spustíte jej tak, že klepnete na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Příslušenství, položku Systémové nástroje a klepnete na položku ScanDisk);
  • případně můžete optimalizovat rychlost načítání a spouštění programů pomocí programu Defragmentace disku (spustíte jej tak, že klepnete na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Příslušenství, položku Systémové nástroje a klepnete na položku Defragmentace disku);
  • zkontrolovat celkovou funkčnost operačního a Windows (systém je možné spustit, je v něm možné spouštět aplikace atd.);
  • zkontrolovat, zda všechny ovladače a zařízení pracují bez konfliktu a ve 32bitovém režimu (dialogové okno Systém můžete otevřít také tak, že klepnete na tlačítko Start, přejdete na příkaz Nastavení, zvolíte položku Ovládací panely a poklepete na ikonu Systém; informace o jednotlivých ovladačích zkontrolujete na kartě Správce zařízení);
  • v BIOSu zrušit detekci virů (nastavit položku Virus Warning na hodnotu Disabled);
  • po dobu instalace je rovněž doporučeno deaktivovat rezidentní části antivirů; je možné je znova aktivovat jakmile je ochranný systém OptimAccess aktivní a jejich funkce nebudou nijak omezeny (postupujte dle dokumentace dodané výrobcem vámi používaného antivirového programu);
  • v případě že hodláte u ochranného systému používat funkci Komplexní ochrana Registrační databáze, nastavte rovněž operační systém podle vzoru na nějž se bude obnovovat při každém restartu.
  • Instalujete-li OptimAccess do Windows 9x, musíte mít v systému nainstalovánu aplikaci Microsoft Internet Explorer 4.0 nebo vyšší. Jinak nebude možné spustit instalátor ochranného systému.

  • Instalujete-li OptimAccess do Windows NT nebo Windows 2000 je nutné být přihlášen jako Administrátor.
  • Používáte-li Windows NT je potřeba mít instalovánu aktualizaci Windows NT Service Pack 4 nebo vyšší.

Po provedení výše uvedených kroků je váš operační systém připraven na korektní instalaci ochranného systému OptimAccess. Pokyny pro vlastní instalaci systému na samostatný počítač jsou uvedeny pod heslem Instalace na samostatné PC. Tyto pokyny si přečtěte i v případě, hodláte-li instalovat ochranný systém v rámci počítačové sítě. Další instalační pokyny specifické pro síťovou instalaci jsou uvedeny pod heslem Síťová instalace.


Instalace na samostatné PC

Po vložení CD-ROM disku s distribucí ochranného systému OptimAccess se automaticky spustí Instalační program. Ten nakopíruje soubory potřebné pro ochranný systém na pevný disk vašeho počítače a povede veškeré úpravy nutné pro jeho korektní funkci.

Nedojde-li po vložení disku k automatickému spuštění instalačního programu, máte na systému vypnutou funkci Automatické přehrávání disků CD po vložení do jednotky. Tuto funkci operačního systému můžete aktivovat následujícím postupem:

  1. Dialogové okno Systém - vlastnosti otevřete tak, že klepnete na tlačítko Start, přejdete na příkaz Nastavení, zvolíte položku Ovládací panely a poklepete na ikonu Systém.
  2. Klepněte na znaménko plus vedle složky CDROM, klepněte pravým tlačítkem myši na ikonu mechaniky u níž chcete funkci nastavit, a zvolte příkaz Vlastnosti.
  3. Klepněte na kartu Nastavení a zaškrtněte políčko Automatické oznámení.

Automatickému přehrávání CD-ROM disků můžete naopak zabránit tak, že při jejich vkládání stisknete klávesu SHIFT.

Obsah distribučního disku

Všechny soubory potřebné pro instalaci ochranného systému jsou v kořenovém adresáři distribučního média. Výjimku tvoří pouze soubor s nápovědou, který je s ostatními soubory tvořícími dokumentaci umístěn v adresáři DOC. Soubory z distribučního média je při dodržení Licenčního ujednání možné kopírovat na pevný disk počítače a instalaci pak následně provádět z pevného disku. Lze je zkopírovat i prostřednictvím počítačové sítě, například v případech, kdy je třeba instalovat systém na počítač bez CD-ROM mechaniky.

Manuální spuštění instalace

Manuálně lze instalaci spustit souborem Setup.exe z kořenového adresáře distribučního média.

Postup instalace

  1. Před vlastní instalací ochranného systému je doporučeno ukončit všechny běžící aplikace.
  2. Po spuštění instalačního programu se zobrazí úvodní dialog se základními informacemi. Po jeho přečtení pokračujte v instalaci stiskem tlačítka Další >.
  3. Nyní se vás instalační program táže na souhlas s Licenčním ujednáním. Jeho tištěnou podobu můžete nalézt na Registrační kartě a nebo jako přílohu příručky Začínáme s ochranným systémem OptimAccess. Po důkladném přečtení svůj souhlas můžete vyjádřit označením volby S licenčním ujednáním souhlasím a v instalaci pokračovat stiskem tlačítka Další >. Nesouhlasíte-li s ustanoveními Licenčního ujednání, ukončete instalaci stiskem tlačítka Storno.
  4. V dalším kroku instalace program zobrazí licenční číslo vámi zakoupené instalace produktu a vyžaduje od vás zadání aktivačního kódu. Jedná se o čtyři čtveřice složené z číslic 0 až 9 a znaků A až F. Spolu s licenčním číslem jej naleznete na Registrační kartě. Máte-li zakoupeno více různých licencí produktu (reprezentovaných více různými licenčními čísly), uvádějte vždy patřičný aktivační kód příslušející k danému licenčnímu číslu zobrazenému instalačním programem. V případě nesrovnalostí či rozhodnete-li se rozšířit svou stávající licenci o další nadstavby, kontaktujte výrobce dle pokynů uvedených pod heslem Odborná pomoc.
  5. V dalším kroku instalace se zobrazí seznam veškerých částí, které OptimAccess má a jste oprávněni je na základě zakoupené licence instalovat. Jednotlivé části ochranného systému OptimAccess k instalaci určíte označením patřičné volby. Vždy můžete instalovat jádro ochranného systému označením volby OptimAccess - základní část. Dle vámi zakoupené licence je možné dále instalovat nadstavbové moduly systému představované volbami OptimAccess Plus, OptimAccess Extension a OptimAccess Remote Control. Dále máte možnost zvolit adresář, kam bude ochranný systém OptimAccess instalován. Můžete tak učinit přímo vypsáním do textového pole vedle tlačítka Nalistuj (přednastaven je adresář C:\OA6) či po stisku na tomto tlačítku vybrat zvolený adresář pomocí grafického dialogu.
  6. Dříve než začnete vlastní instalaci je vhodné provést zálohu zaváděcích sektorů pevného disku. Instalační program vám nabídne možnost vytvořit spouštěcí disketu a tuto zálohou. V případě nouze můžete s pomocí této diskety spustit operační systém a nouzově odinstalovat. Nehodláte-li tuto disketu vytvářet, postupujte dle kroku č. 8.
  7. Dialog Záložní disketa vám nyní nabízí možnost zálohovat systémové oblasti zaváděcích sektorů pevného disku a vytvořit spouštěcí disketu pro ochranný systém OptimAccess. Po označení volby Vytvořit záložní soubor máte možnost do textového pole pod touto volbou zadat název souboru se záložními daty. Neprovedete-li žádné úpravy, je přednastaveno jméno souboru BACKUP.000. Zálohu si můžete pojmenovat libovolně, doporučuje se však použít konvence max. 8 znaků pro jméno souboru a 3 pro příponu. Spouštěcí disketu vytvoříte označením volby Vygenerovat speciální bootovací disketu ochranného systému OptimAccess. Označte tedy obě volby, vložte do mechaniky disketu a stiskněte tlačítko provést.
  8. Nyní dochází ke zkopírování souborů ochranného systému OptimAccess na pevný disk počítače dle dříve provedených nastavení.
  9. V závěrečné fázi instalace vás instalační program vyzve k zadání hesla pro přístup do ovládací aplikace ochranného systému. Heslo je nutné zadat a není možné použít prázdné heslo. Podrobnosti a náležitosti hesla naleznete v části Náležitosti a pravidla pro volbu hesla. V případě kdy současně instalujete zároveň nadstavbový modul Remote Control, budete instalačním programem požádáni rovněž o zadání hesla pro vstup do aplikace pro vzdálenou správu ochranného systému. Požadavky ne heslo jsou totožné jako v případě ovládací aplikace. Obě zadaná hesla se však bezpodmínečně lišit nemusí.
  10. Na závěrečném dialogu instalace vám instalační program oznámí, že celý proces kopírování souborů ochranného systému a jeho nastavení pro váš počítač proběhl úspěšně. Ukončete jej stiskem na tlačítko Dokončit.

Od tohoto okamžiku se proces instalace považuje za ukončený. Nyní jsou na pevném disku počítače nakopírovány všechny soubory potřebné pro korektní funkci ochranného systému OptimAccess. Rovněž jsou nastavena vstupní hesla pro spuštění ovládací aplikace systému a případně aplikace pro vzdálenou správu, je-li na počítači instalována.

I přesto, že není po korektní instalaci není ochranný systém aktivní, je v paměti počítače spuštěn klient pro vzdálenou správu. Klient se spouští a zavádí do paměti počítače při každém startu operačního systému. Tedy ihned po instalaci lze na počítači systém aktivovat vzdáleně, restartovat počítač a následně provést všechny požadované úpravy nastavení ochranného systému. Přirozeně se znalostí nastaveného hesla lze všechny tyto operace provést i na počítači samotném.

Instalujete-li OptimAccess do Windows 9x, instalační program při svém ukončení automaticky spustí ovládací aplikaci OptimAccess (soubor Oa9x.exe). Po zadání správného hesla pro přístup do ovládací aplikace zobrazí dialog Není aktivní ochranný systém! Nutno aktivovat!. Stiskem tlačítka Storno můžete aktivaci odložit na později a ukončit tak ovládací aplikaci ochranného systému. Podrobnější informace o aktivaci ochranného systému naleznete v následující sekci Aktivace systému.

Aktivace systému

Aby mohl ochranný systém OptimAccess plnit svou funkci, je třeba jej aktivovat (ať již vzdáleně s pomocí nadstavbového modulu Remote Control či přímo). Učiníte tak při prvním spuštění ovládací aplikace OptimAccess. Naleznete ji mezi programy v nabídce start ve skupině Ochranný systém OptimAccess. Je označena ikonou [image]. Systém aktivujete následujícím postupem:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Ochranný systém není aktivní a ovládací aplikace to dá najevo chybovým hlášením Není aktivní ochranný systém! Nutno aktivovat!. Stiskem tlačítka OK ochranný systém aktivujete. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  4. Ochranný systém provede svou aktivaci zápisem do konfiguračních souborů operačního systému a systémových oblastí pevného disku. Pro úspěšnou aktivaci je nutný restart počítače. Ovládací aplikace informuje o úspěšné aktivaci ochranného systému dialogem Instalace. Stiskem tlačítka OK provedete restart počítače.

Po restartu počítače a opětovném spuštění ovládací aplikace dle prvních dvou bodů výše uvedeného postupu máte v operačním systému Windows 9x možnost nakonfigurovat ochranný systém OptimAccess pomocí průvodce. Podrobný postup je uveden pod heslem Nastavení ochranného systému s pomocí průvodce. Stiskem tlačítka Storno máte možnost průvodce ukončit a konfigurovat jeho nastavení dle popisu jednotlivých funkcí uvedených pod heslem Ovládání aplikace ve Windows 9x.

V případě systému Windows NT a Windows 2000 naleznete popis funkcí systému a ovládací aplikace pod heslem Ovládání aplikace ve Windows NT/2000.

Při nastavování jednotlivých funkcí samozřejmě můžete také vycházet z výrobcem doporučené optimální konfigurace. Rady pro optimální nastavení systému naleznete pod heslem Doporučený postup konfigurace.


Síťová instalace

V prostředí počítačové sítě postavené na rodině síťových protokolu TCP/IP můžete hromadnou síťovou instalaci provést podle následujícího postupu (proměnná <localhost> představuje síťové jméno počítače z nějž hodláte instalovat). S výjimkou cílového adresáře musíte pro daný typ instalace vytvořit všechny zmiňované adresáře. Jejich pojmenování plně záleží na vaší benevolenci.

  1. Nejprve připravte adresář s instalačními soubory. Máte možnost instalovat:
    • z distribučního CD-ROM: vložte jej do mechaniky počítače z nějž hodláte instalovat a nasdílejte jej (například \\<localhost>\cd).
    • ze síťového adresáře: na počítači z nějž hodláte instalovat vytvořte sdílený adresář s právem pouze pro čtení. Do tohoto adresáře pak po síti nakopírujte obsah instalačního CD (například \\<localhost>\install_oa).
  2. Dále připravte adresář pro soubor protokolu a konfigurační soubory. Nezapomeňte jej nasdílet i pro zápis, jestliže do něj budete ukládat soubor protokolu. V případě, kdy instalujete ze síťového adresáře, je vhodné umístit jej jako podadresář (například \\<localhost>\install_oa\log).
  3. Instalujte ochranný systém OptimAccess na jeden počítač a nastavte při instalaci vstupní heslo pro ovládací aplikaci ochranného systému OptimAccess. Pokyny a postup pro instalaci naleznete pod heslem Instalace na samostatné PC v sekci Postup instalace. Nezapomeňte rovněž nastavit heslo pro klienta vzdálené správy, jestliže jej chcete používat.
  4. Do adresáře připraveného pro soubor protokolu a konfigurační soubory podle kroku č. 2 nakopírujte soubory s heslem pro ovládací aplikaci Oacfg.dat a aplikaci pro vzdálenou správu Rcclient.dat. Tyto soubory naleznete v adresáři, kam jste instalovali ochranný systém dle pokynů v bodu č. 3 tohoto postupu.
  5. Upravte konfigurační soubor Setup.ini. Jeho zdrojovou podobu naleznete na distribučním CD-ROM. Upravený soubor uložte do adresáře pro soubor protokolu a konfigurační soubory - tj. \\<localhost>\install_oa\log\setup.ini.

    Soubor Setup.ini je velmi dobře komentován. Řádky začínající středníkem jsou považovány za komentáře. V původním souboru Setup.ini jsou všechny záznamy se vzorovým nastavením (s výjimkou označení konfigurační sekce) zakomentovány. Nezapomeňte proto mimo správné nastavení jednotlivých konfiguračních voleb ze začátku příslušných řádků středníky odstranit.

    Po úpravě by soubor Setup.ini měl mít přibližně následující podobu:

    ;Konfigurační soubor pro vzdálenou instalaci ochranného systému OptimAccess verze 6.0
;
;Pokud chcete provést automatickou instalaci podle parametrů nastavených v tomto souboru
;spusťte program SETUP.EXE se jménem tohoto souboru. Pokud se soubor nenachází
;v adresáři, ze kterého se spouští program SETUP.EXE, pak uveďte celou cestu k tomuto
;INI souboru.
;

;Všechny parametry se nastavují v části [remote], nemusíte dodržovat velká a malá písmena.
[remote]

;AC - Aktivační kód, vložte kód z licenční karty
AC=879E5BA9C21DEC4

;DestPath - Cesta, do které se bude instalovat ochranný systém. implicitně je nastavena
;na C:\OA6. Cesta musí být na disk C a doporučujeme  ponechat adresář přímo v C:\
DestPath=C:\OA6

;SourcePath - z této cesty se budou kopírovat soubory ochranného systému
SourcePath=\\<localhost>\install_oa

;LogFile - plná cesta k souboru, do kterého se budou ukládat informace o provedených
;operacích. Soubor se ukládá v CSV formátu pro možnost prohlížení např. v MS-EXCEL.
;Doporučujeme ponechat příponu CSV.
LogFile=\\<localhost>\install_oa\log\oalog.csv

;OADAT - cesta k souboru OACFG.DAT, ve kterém se nachází heslo pro použití programu OA9X.EXE,
;což je lokální ovládací prostředí ochranného systému.
OADAT=\\<localhost>\install_oa\log\oacfg.dat

;RCDAT - cesta k souboru RCCLIENT.DAT, ve kterém můžete definovat výchozí heslo pro
;komunikaci mezi ovládací aplikací OARC a klientem vzdálené správy. Pokud není tento
;soubor definován, pak se nastaví prázdné komunikační heslo.
RCDAT=\\<localhost>\install_oa\log\rcclient.dat

;StartMenu - pokud se rovná 1, pak se vytvoří v Nabídce Start odkaz na ochranný systém
;OptimAccess
StartMenu=1
  6. Síťovou hromadnou instalaci provedete na jednotlivých stanicích spuštěním souboru Setp.exe z adresáře s instalačními soubory, kterému zadáte jako parametr soubor Setup.ini.

    Instalujete-li podle tohoto postupu z jednotky CD-ROM, spustíte instalaci příkazem:
    \\<localhost>\cd\setup.exe \\<localhost>\install_oa\log\setup.ini
    Instalujete-li ze síťového adresáře, spustíte instalaci příkazem:
    \\<localhost>\install_oa\setup.exe \\<localhost>\install_oa\log\setup.ini
  7. Instalátor nyní nakopíruje na stanici všechny soubory ochranného systému OptimAccess, upraví konfiguraci stanice podle nastavení vzorové instalace a spustí na stanici klienta pro vzdálenou správu. Následně tedy můžete nastavovat ochranný systém OptimAccess přímo na stanici či prostřednictvím aplikace pro vzdálenou správu.


Upgrade ze starších verzí

Pro upgrade ze starších verzí ochranného systému OptimAccess na verzi 6.0 výrobce doporučuje použít následující postup:

  1. Vyexportovat nastavení ochranného systému do souboru (z nabídky Správce systému zvolte Export / Import nastavení a následně z kontextové nabídky pak Export nastavení do souboru). Používáte-li ochranný systém včetně nadstaveb, nezapomeňte si rovněž uložit konfiguraci těchto nadstaveb.
  2. Deaktivovat ochranný systém prostřednictvím nabídky Aktivace/Deaktivace.
  3. Odinstalovat starou verzi ochranného systému.
  4. Instalovat ochranný systém verze 6.0 dle postupů uvedených pod heslem Instalace verze 6.0.
  5. Importovat nastavení starší verze dle pokynů uvedených pod heslem Import nastavení ze souboru.
  6. Případně můžete vyladit konfiguraci ochranného systému dle rad a doporučení uvedených pod heslem Doporučený postup konfigurace.


Odborná pomoc

Zakoupením licence k používání aplikace OptimAccess získáváte rovněž nárok na odbornou pomoc od společnosti SODAT software spol. s r. o. Tato se vztahuje na dotazy a řešení problémů spojených s používáním ochranného systému OptimAccess.

Dříve než kontaktujete výrobce ...

Odpovědi na základní a běžné uživatelské otázky jsou uvedeny rovněž v této nápovědě. Prostředky vynaložené na telefon můžete ušetřit, jestliže se pokusíte odpověď na své otázky nejprve najít v heslech nápovědy.

  • Význam a nastavení jednotlivých funkcí ochranného systému je vysvětlen v heslech Ovládání aplikace ve Windows 9x, Ovládání aplikace ve Windows NT/2000 a Nadstavbové moduly ochranného systému.
  • Rady a doporučení pro základní nastavení ochranného systému obsahuje heslo Doporučený postup konfigurace.
  • Informace o kolizích a řešení případných možných známých problémů jsou umístěny pod heslem Odstraňování problémů.

Jak získat odbornou pomoc?

Odbornou pomoc od společnosti SODAT software spol. s r. o. lze získat následujícími způsoby:

  • Základní odborné informace lze získat prostřednictvím WWW stránek věnovaných ochrannému systému OptimAccess na adrese http://www.optimaccess.cz/.
  • Svůj dotaz na oddělení technické podpory můžete zaslat prostřednictvím elektronické pošty na adresu support@optimaccess.cz.
  • Odpověď na své dotazy můžete také získat prostřednictvím telefonu přímo od pracovníka technické podpory a to na čísle +420 - 5 - 43 23 61 77 až 8; standardní bezplatná technická pomoc je výrobcem poskytována v pracovní dny (tj. v pondělí až pátek s výjimkou svátků) a to vždy od 8:00 do 17:00.
  • V případě zákazníků, kteří mají s výrobcem uzavřenu dodatečnou Servisní smlouvu o odborné pomoci a technické podpoře platí dále veškerá ustanovení v ní uvedená.

Jak kontaktovat výrobce?

S dalšími dotazy a náměty v souvislosti s ochranným systémem OptimAccess můžete společnost SODAT software spol. s r. o. kontaktovat následujícími způsoby:

  • Písemně na adresu: SODAT software spol. s r. o., Sedlákova 33, 602 00 BRNO.
  • Elektronickou poštou na adresu info@optimaccess.cz.
  • Telefonicky na čísle +420 - 5 - 43 23 61 77 až 8; v pracovní dny (tj. v pondělí až pátek s výjimkou svátků) a to vždy od 8:00 do 17:00.


Nastavení ochranného systému s pomocí průvodce

Průvodce pro nastavení ochranného systému je integrován v rámci ovládací aplikace OptimAccess v operačním systému Windows 9x. Sám se automaticky spustí po první aktivaci ochranného systému OptimAccess.

V jednotlivých krocích můžete postupně prostřednictvím průvodce nakonfigurovat jednotlivé funkce ochranného systému:

  • v případě instalace základní části systému se průvodce skládá z kroků:
    1. Ovládací panely a Registrační databáze;
    2. Instalace nových programů;
    3. Mechaniky a výměnná média;
  • máte-li instalovány příslušné nadstavbové moduly, je základní verze průvodce rozšířena dále o kroky:
    1. Nadstavbové moduly;
    2. Modul Plus;
    3. Modul Extension.

    Mezi jednotlivými kroky lze přecházet prostřednictvím tlačítek << Předchozí a Další >>. Průvodce můžete kdykoliv ukončit stiskem na tlačítko Storno. Přitom změny v konfiguraci provedené v jednotlivých krocích se nepromítnou do nastavení ochranného systému. Učiní se tak až po stisku tlačítka Dokončit v posledním závěrečném dialogu.

    Všechny změny nastavení provedené v rámci průvodce lze kdykoliv později upravit prostřednictvím nabídek ovládací aplikace OptimAccess. Její popis ovládání a nastavení jednotlivých funkcí ochranného systému naleznete pod heslem Ovládání aplikace ve Windows 9x.

    Při nastavování jednotlivých funkcí samozřejmě můžete také vycházet z výrobcem doporučené optimální konfigurace. Rady pro optimální nastavení systému naleznete pod heslem Doporučený postup konfigurace.


Ovládací panely a Registrační databáze

V rámci prvního kroku průvodce nastavením ochranného systémů máte možnost zakázat uživateli pracovat s vybranými prvky Ovládacích panelů systému Windows 9x. Po aktivaci ochranného systému je má uživatel právo manipulovat se všemi prvky Ovládacích panelů. To je v textovém okně v horní polovině dialogu reprezentováno nastavením hodnoty POVOLENO u jména příslušného prvku. Pro daný prvek Ovládacích panelů nastavíte zákaz jeho používání poklepáním na jeho název. Hodnota POVOLENO se v tom okamžiku změní na hodnotu ZAKÁZÁNO. Opětovným poklepáním můžete použití příslušného prvku Ovládacích panelů znovu povolit.

Zavedením komplexní ochrany registrační databáze, kdy se po následném restartu počítače veškerá nastavení uvádí zpět do předem definovaného stavu. Tuto volbu je vhodné aktivovat až v okamžiku, kdy máte operační systém nastaven do požadované podoby. Ve spodní části tuto funkci aktivujete označením volby Aktivovat Komplexní ochranu registrační databáze.

Stiskem na tlačítko << Předchozí zobrazíte úvodní dialog Průvodce nastavení OptimAccess se základními informacemi. Po stisku tlačítka Další >> můžete pro daný počítač nastavit zákaz instalace nových programů.


Instalace nových programů

Pro daný počítač můžete zamezit instalaci nového software. Ochranný systém při označení volby Aktivovat Zákaz instalace nových programů znemožnění spuštění instalačních programů SETUP a INSTAL. Případně máte možnost definovat i jiná jména instalačních souborů.

Stiskem na tlačítko << Předchozí můžete pro daný počítač nastavit znepřístupnění jednotlivých Ovládacích panelů a aktivovat komplexní ochranu registrační databáze. Po stisku tlačítka Další >> můžete pro daný počítač upravovat nastavení práce s disketovou mechanikou a CD-ROM jednotkami.


Mechaniky a výměnná média

V základní verzi ochranného systému OptimAccess máte možnost aktivovat ochranu disketové mechaniky. Je-li tato funkce aktivní, v mechanice počítače nelze použít jiné než zvláštním způsobem autorizované diskety. Autorizaci disket nelze nijak kopírovat ani odstranit běžným způsobem formátování. Pro nastavení aktivace této funkce označte volbu Aktivovat Ochranu disketové mechaniky.

Dále je možné na počítači zakázat použití CD-ROM mechanik. Pro nastavení aktivace této funkce označte volbu Zakázat CD mechaniky.

Stiskem na tlačítko << Předchozí můžete pro daný počítač nastavit zákaz instalace nových programů. V případě že máte instalovanou pouze základní verzi, po stisku tlačítka Další >> se zobrazí závěrečný dialog průvodce. V něm stiskem tlačítka Dokončit aktivujete nastavení jednotlivých voleb, které jste s pomocí průvodce nastavili. Máte-li instalovány některé z nadstavbových modulů ochranného systému, po stisku tlačítka Další >> průvodce pokračuje.


Nadstavbové moduly

V případě, že máte instalovány všechny nadstavbové moduly, průvodce nabízí jejich konfiguraci a nastavení v následujícím pořadí:

  1. Modul Plus;
  2. Modul Extension.

Pro modul Remote Control se nastavuje pouze přístupové heslo a k tomu dochází již v poslední fázi instalace.

Po nastavení příslušných voleb se postupným stiskem tlačítka Další >> dostanete až k závěrečnému dialogu průvodce. V něm stiskem tlačítka Dokončit aktivujete nastavení jednotlivých voleb, které jste s pomocí průvodce nastavili.


Modul Plus

Nadstavba Plus zamezuje procesu zavádění operačního systému cizí nebo nepovolanou osobou.

Jsou-li funkce ochranného systému aktivovány majitelem počítače, pak před zavedením vlastního operačního systému je vyžadováno zadání správcem definovaného hesla. Pokud heslo není zadáno správně, nelze žádným způsobem zahájit start operačního systému.

Nadstavbu Plus aktivujete označením volby Aktivovat volbu OptimAccess Plus. Poté můžete přístupové heslo zadat do sekce dialogu Vstupní heslo. Pro správné nastavení hesla je třeba aby si vzájemně odpovídaly textové v polích Vstupní heslo a Potvrzení hesla.

Další informace o nadstavbovém modulu OptimAccess Plus naleznete pod heslem Modul Plus.


Modul Extension

Chcete-li s pomocí průvodce konfigurovat nadstavbový modul Extension, musíte postupovat ve dvou krocích:

  1. nejprve v prvním dialogu označit volbu Nastavit nadstavbu OptimAccess Extension a stisknout tlačítko Další >>;
  2. nyní máte možnost pomocí tlačítek Nastavení vlastností Ovládacích panelů, Nastavení vlastností Průzkumníka a složek, Ochrana nastavení aplikací a Bezpečnost upravit nastavení jednotlivých funkcí; stisknutím příslušného tlačítka vyvoláte odpovídající dialog s nastavením voleb.

Další informace o nadstavbovém modulu OptimAccess Extension a nastavení jednotlivých funkcí naleznete pod heslem Modul Extension.


Ovládání aplikace ve Windows 9x

Ovládací aplikace se v operačním systému Windows 9x spouští prostřednictvím souboru Oa9x.exe z adresáře, kde je instalován ochranný systém OptimAccess (základní nastavení pro instalaci je C:\OA6). Při instalaci je v nabídce Start systému Windows vytvořen odpovídající zástupce pojmenovaný OptimAccess. Ovládací aplikaci lze tedy spustit i následujícím postupem:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.

Ovládání funkcí ochranného systému prostřednictvím aplikace

  • Základní popis významu jednotlivých ikon a oken naleznete pod heslem Základní ovládací prvky rozhraní.
  • Postup pro aktivaci a deaktivaci ochranného systému naleznete pod heslem Aktivace a deaktivace ochranného systému.
  • Postup pro deaktivaci ochrany adresářové struktury a její opětovnou aktivaci bez nutnosti použití restartu počítače naleznete pod heslem Dočasná deaktivace ochrany adresářové struktury.
  • Postup pro aktivaci, deaktivaci a aktualizaci nastavení ochrany Registrační databáze systému Windows naleznete pod heslem Ochrana Registrační databáze systému Windows.
  • Postupy pro ochranu disketové mechaniky naleznete pod heslem Práce s disketovou mechanikou.
  • Rady a postupy potřebné pro zálohu nastavení ochranného systému a následný import zálohy naleznete pod heslem Zálohování a obnova nastavení ochranného systému.
  • Popis náležitostí a požadavků pro správně zvolené heslo a postup pro jeho nastavení naleznete pod heslem Změna hesla pro přístup do ochranného systému.


Základní ovládací prvky rozhraní

Manipulace s ochranou složek

Ochranu složek adresářové struktury lze nastavovat pouze v levém okně aplikace OptimAccess. V pravém okně aplikace se při označení složky stisknutím myši vylistuje pouze v ní obsažené soubory, nikoliv adresáře. Ty vylistujete v levém okně stiskem na ikonu plus ( [image]) příslušející k dané složce.

Příznak ochrany složky nastavíte pomocí dialogu Nastavení příznaku složky. Ten pro danou složku vyvoláte poklepáním na její ikonu. Ochrana všech souborů a složek nacházející se na pevném disku počítače s parametrem může mít následující úrovně dle nastavených příznaků:

  • RW (složka pro čtení a zápis)
    Se složkou je možné běžně pracovat bez jakýchkoliv omezení
  • RO (složka pouze pro čtení)
    Ze složky lze pouze číst data. Nelze ji žádným způsobem smazat ani upravit (přejmenovat, změnit její příznaky a podobně).
  • HI (skryté složky resp. zakázané k použití)
    Do takto označené složky bude zakázán přístup. POZOR! Přístup je zakázán i na systémové úrovni a proto s takto zabezpečenou složkou nebude možné žádným způsobem pracovat. Vhodné pro nastavení složek s obsahem instalačních souborů, které systémový správce využívá spíše příležitostně a v delším časovém horizontu.

Mimo příznak složky lze v dialogu Nastavení příznaku složky prostřednictvím voleb dále nastavit:

  • totožnou ochranu pro všechny podsložky označením volby Podsložky dědí příznak;
  • totožnou ochranu pro všechny soubory dané složky označením volby Soubory dědí příznak složky.

Manipulace s ochranou souborů

Ochranu souborů lze mimo výše popsaný případ, kdy soubory dědí nastavení složky nastavovat výlučně v pravém okně. Nastavení lze provádět dvěma způsoby:

  • poklepáním na daný soubor lze střídavě přepínat mezi nastavením příznaku RW a RO;
  • hromadně pomocí masky - stiskem pravého tlačítka myši na jménu souboru vyvoláte dialog Maska příznaku souborů, do textového pole pomocí hvězdičkové konvence uvedete vámi požadovaný výběr jmen souborů a stiskem tlačítek Nastav RO respektive Nastav RW nastavíte požadovaný příznak.

Manipulace s ochranou CD-ROM jednotek

Mezi zákazem používání a opětovným povolením lze pro CD-ROM jednotku střídavě přepínat poklepáním na jí příslušející ikonu v levém okně aplikace OptimAccess. Ikona příslušející dané CD-ROM jednotce indikuje aktuální nastavení ochranného systému:
  • s CD-ROM jednotkou lze pracovat;
  • s CD-ROM jednotkou nelze pracovat.

Pro změnu nastavení oprávnění k používání je třeba restart počítače. Do restartu je platí původní nastavení ochranného systému. Na tuto skutečnost vás systém upozorňuje dialogem CD-ROM a textem Nastavený příznak se projeví po restartu počítače.

Je-li v počítači instalováno více CD-ROM jednotek, platí nastavený zákaz jejich používání globálně – lze používat buďto všechny nebo žádnou. Tato skutečnost platí, ačkoliv je ikona [image] zobrazena pouze u jednotky, na níž byl nastaven zákaz používání. Detailní nastavování oprávnění k používání jednotlivých jednotek lze uplatnit s použitím nadstavbového modulu Extension. Podrobnosti naleznete pod heslem Nastavení vlastností Průzkumníka a složek.

Manipulace s ochranou instalace programů

Mezi zákazem instalace nových programů a opětovným povolením lze střídavě přepínat poklepáním na ikonu [image] v levém okně aplikace OptimAccess. Ikona příslušející Instalaci nových programů indikuje aktuální nastavení ochranného systému:
  • lze instalovat nové programy;
  • nelze instalovat nové programy.

Manipulace s ochranou Ovládacích panelů

Po stisku na ikonu [image] Přístup k ovládacím panelům v levém okně aplikace OptimAccess se v pravém okně zobrazí aktuální nastavení ochranného systému. Po aktivaci ochranného systému je má uživatel právo manipulovat se všemi prvky Ovládacích panelů (pokud jste při konfiguraci s pomocí průvodce nenastavili jinak). To je v pravém okně aplikace je tato skutečnost reprezentována nastavením hodnoty POVOLENO u jména příslušného prvku. Pro daný prvek Ovládacích panelů nastavíte zákaz jeho používání poklepáním na jeho název. Hodnota POVOLENO se v tom okamžiku změní na hodnotu ZAKÁZÁNO. Opětovným poklepáním můžete použití příslušného prvku Ovládacích panelů znovu povolit.


Aktivace a deaktivace ochranného systému

Při aktivaci ovladačů se modifikuje zavaděč pevného disku tak, aby se v okamžiku spuštění počítače se automaticky aktivovaly všechny nastavené ochranné funkce. Je-li systém OptimAccess aktivní, máte možnost jeho jednotlivé ochranné funkce přizpůsobovat vašim aktuálním požadavkům na ochranu počítače. Vzhledem k tomu, že systém pracuje se zavaděčem pevného disku, je pro aktivaci systému nutný restart počítače. Ten provedete stiskem tlačítka OK v dialogu zakončujícím aktivační proceduru.

V případě, že nejsou ve vnitřní paměti (RAM) počítače zavedeny ovladače nebo je ochranný systém právě nainstalován, se aktivační procedura vyvolá při každém spuštění aplikace OptimAccess (souborem OA9x.exe).

Aktivace ochranného systému

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Ochranný systém není aktivní a ovládací aplikace to dá najevo chybovým hlášením Není aktivní ochranný systém! Nutno aktivovat!. Stiskem tlačítka OK ochranný systém aktivujete. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  4. Ochranný systém provede svou aktivaci zápisem do konfiguračních souborů operačního systému a systémových oblastí pevného disku. Pro úspěšnou aktivaci je nutný restart počítače. Ovládací aplikace informuje o úspěšné aktivaci ochranného systému dialogem Instalace. Stiskem tlačítka OK provedete restart počítače.

Deaktivace ochranného systému

Příkaz Deaktivace systému v nabídce Aktivace/Deaktivace má za následek odstranění aktivních ovladačů z vnitřní paměti (RAM) počítače. Výsledkem je vypnutí všech ochran realizovaných systémem OptimAccess. Funkce opět vyvolá dialog s informací o nutnosti provedení restartu počítače. Po restartu je váš systém zcela bez ochrany.

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Aktivace/Deaktivace zvolte příkaz Deaktivace systému.
  4. Ochranný systém provede svou aktivaci zápisem do konfiguračních souborů operačního systému a systémových oblastí pevného disku. Pro úspěšnou deaktivaci je nutný restart počítače. Ovládací aplikace informuje o úspěšné deaktivaci ochranného systému dialogem Deaktivace systému. Stiskem tlačítka OK provedete restart počítače.

Příkaz je vhodný použít zejména při plánovaných rozsáhlých instalacích programového vybavení, které s sebou nesou nutnost větších zásahů do konfigurace operačního systému a aktualizovaných aplikací.


Dočasná deaktivace ochrany adresářové struktury

Je-li systém OptimAccess aktivní, automaticky je zapnuta ochrana adresářové struktury pro jednotlivé soubory a složky podle nastavených příznaků. Ochranu adresářové struktury pevných disků vašeho počítače lze prostřednictvím příkazu Ochrana Adresářové struktury nabídky Správce systému dočasně deaktivovat. Deaktivace této ochrany trvá do prvního restartu počítače. Ochranu můžete deaktivovat následujícím postupem:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Správce systému zvolte příkaz Ochrana Adresářové struktury.
  4. V dialogu Ochrana Adresářové struktury označte volbu ochrana dočasně neaktivní (do restartu) a stiskněte tlačítko Ano.

Všechny složky a soubory půjdou nyní mazat a editovat stejně tak, jak kdyby tam Ochranný systém OptimAccess nikdy nebyl nainstalován.

Opětovná aktivace ochrany adresářové struktury bez restartu

Po provedení všech požadovaných změn není třeba počítač nutně pro opětovnou aktivaci ochrany adresářové struktury restartovat. Lze použít i následující postup:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Správce systému zvolte příkaz Ochrana Adresářové struktury.
  4. V dialogu Ochrana Adresářové struktury označte volbu ochrana aktivní a stiskněte tlačítko Ano.


Ochrana Registrační databáze systému Windows

Při každém startování Windows se přepíše registrační databáze v adresáři Windows původní zálohovanou databází bezpečně uloženou v adresáři do, kterého jste instalovali systém OptimAccess. Jedná se konkrétně o soubory system.dat a user.dat.

Funkce využijete v případě, kdy je potřeba zajistit absolutní neměnnost nastavení Windows a to včetně nastavení ikon, tapety, komunikačních prostředků, driverů a dalších nastavení. Ideální řešení v učebnách firem, školských zařízeních, internetových kavárnách. Všeobecně na místech s přístupem mnoha těžko neidentifikovatelných lidí k jednomu nedefinovanému počítači.

Nastavení ochrany Registrační databáze

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Správce systému zvolte příkaz Komplexní ochrana Registrační databáze.
  4. Z roletové podnabídky zvolte příkaz Ochrana Registrační databáze.
  5. V dialogu Komplexní ochrana Registrační databáze označte volbu Komplexní ochrana Registrační databáze aktivní a stiskněte tlačítko Ano.
  6. Systém vám úspěšnou aktivaci ochrany oznámí dialogem Ochrana registrační databáze byla instalována. Ukončete jej stiskem tlačítka OK.

Zrušení ochrany Registrační databáze

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Správce systému zvolte příkaz Komplexní ochrana Registrační databáze.
  4. Z roletové podnabídky zvolte příkaz Ochrana Registrační databáze.
  5. V dialogu Komplexní ochrana Registrační databáze označte volbu Komplexní ochrana Registrační databáze neaktivní a stiskněte tlačítko Ano.
  6. Systém vám úspěšnou deaktivaci ochrany oznámí dialogem Ochrana registrační databáze byla odinstalována. Ukončete jej stiskem tlačítka OK.

Aktualizace Registrační databáze

Příkaz Aktualizace Registrační databáze provede uložení aktuálního stavu Registrační databáze. Je přístupný pouze tehdy, pokud máte aktivovánu Komplexní ochranu Registrační databáze.

V podstatě zkopíruje soubory user.dat a system.dat do adresáře kam jste instalovali OptimAccess, čímž přepíše soubory s dřívější zálohou. Aktualizuje jejich podobu dle nejnovějších změn provedených ve Windows. Funkce vyžaduje RESTART z důvodu načtení posledních modifikací provedených v Registrační databázi.

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Správce systému zvolte příkaz Komplexní ochrana Registrační databáze.
  4. Z roletové podnabídky zvolte příkaz Aktualizace Registrační databáze.
  5. V dialogu Aktualizace Registrační databáze stiskněte tlačítko Aktualizovat.
Ideální řešení k aktualizaci minoritních změn v Registrační databázi v rámci Windows. V případě provedení rozsáhlejších změn (rozsáhlé instalace, update operačního systému a podobně) je vhodnější deaktivovat ochranný systém prostřednictvím příkazu Deaktivace z nabídky Aktivace/Deaktivace.


Práce s disketovou mechanikou

Funkce Ochrana Disketové mechaniky ochranného systému OptimAccess umožňuje kontrolovat, aby byly v mechanice počítače používány pouze autorizované diskety. Pokud disketa není autorizována je její použití vyloučeno. Nelze z ní číst ani na ni ukládat data.

Tímto způsobem lze omezit pohyb disket na pracovišti. Lze takto chránit počítač i před boot viry, ale to pouze za předpokladu, kdy má správce dokonalý přehled a kontrolu nad pohybem autorizovaných disket. Do jisté míry lze tuto funkci přirovnat jako ekvivalent zámků na disketových mechanikách nebo fyzického odpojení disketových mechanik. Funkci je vhodné aktivovat zejména v případě školských zařízeních, kdy chce správce sítě maximálně uplatnit restrikce platné na daných počítačích.

Funkci Ochrana Disketové mechaniky lze nastavovat následujícím postupem:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Správce systému zvolte příkaz Ochrana Disketové mechaniky. Získáte tak podnabídku pro práci s disketovou mechanikou s níž můžete:
    • prostřednictvím příkazu Ochrana Disketové mechaniky nastavovat úroveň ochrany práce s disketovou mechanikou;
    • prostřednictvím příkazů Autorizace disket a Zrušení autorizace určovat, které diskety smějí být použity.

Autorizace disket probíhá speciálním záznamem mimo běžnou datovou oblast. Proto nelze autorizaci kopírovat. Rovněž ji nelze zrušit formátováním. S disketou lze pracovat bez jakýchkoliv omezení – lze z ní číst, zapisovat, mazat, formátovat, měnit její jméno a podobně.


Režimy ochrany disketové mechaniky

Prostřednictvím dialogu Ochrana Disketové mechaniky lze nastavit tři režimy práce s disketovou mechanikou:

  • ochrana aktivní – prostřednictvím této volby aktivujete ochranu disketové mechaniky a v mechanice ze používat pouze autorizované diskety (způsob autorizace disket naleznete pod heslem Autorizace disket a její rušení);
  • ochrana dočasně neaktivní (do restartu) – prostřednictvím této volby můžete dočasně do prvního restartu vyřadit ochranu disketové mechaniky a v mechanice lze pak používat diskety bez omezení;
  • ochrana neaktivní – v případě této volby není v ochranném systému OptimAccess aktivní funkce ochrany disketové mechaniky a lze používat diskety bez omezení.


Autorizace disket a její rušení

Proces autorizace i její následné rušení se nijak nedotýká datové oblasti diskety. Proto lze autorizovat i rušit autorizaci disket, aniž by se to jakkoliv dotýkalo dat na ní uložených.

Autorizace diskety pro použití

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Správce systému zvolte příkaz Ochrana Disketové mechaniky.
  4. Z roletové podnabídky zvolte příkaz Autorizace disket.
  5. V dialogu Autorizace diskety zvolte disketovou mechaniku a stiskněte tlačítko Proveď.
  6. O průběhu autorizace vás bude systém informovat dialogem Probíhá autorizace....
  7. O úspěšném ukončení procesu autorizace vás systém informuje dialogem Autorizace s textem Disketa byla autorizována!. Proces autorizace dokončíte stiskem tlačítka OK.

Rušení autorizace diskety pro použití

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Správce systému zvolte příkaz Ochrana Disketové mechaniky.
  4. Z roletové podnabídky zvolte příkaz Zrušení autorizace.
  5. V dialogu Zrušení autorizace zvolte disketovou mechaniku a stiskněte tlačítko Proveď.
  6. O průběhu autorizace vás bude systém informovat dialogem Probíhá rušení autorizace....
  7. O úspěšném ukončení procesu autorizace vás systém informuje dialogem Zrušení autorizace s textem Disketě byla zrušena autorizace!. Proces rušení autorizace dokončíte stiskem tlačítka OK.


Zálohování a obnova nastavení ochranného systému

Starší verze ochranného systému OptimAccess umožňovaly export a import do nastavení do externích souborů. Vždy se jednalo o kompletní nastavení všech voleb ochranného systému. Verze 6.0 nabízí použití dvou typů datových souborů s nastavením ochranného systému:

  • typ OptimAccess soubory *.srf slouží k uložení kompletního nastavení celého ochranného systému;
  • typ Extension soubory *.sre slouží pouze k uložení nastavení nadstavbových modulů ochranného systému.

Při importu dat ze starší verze ochranného systému proto nezapomeňte nastavit typ použitého souboru na *.srf.

Postupy pro export a import nastavení ochranného systému naleznete pod hesly Export nastavení do souboru a Import nastavení ze souboru.

Záloha čerstvě instalovaného systému

Ihned po instalaci ochranného systému OptimAccess si proveďte zálohu základního nastavení. Využijete je například v případě rozsáhlejších instalací či případných updatů operačního systému. Více informací naleznete pod heslem Doporučený postup konfigurace.

Jak předejít nechtěné změně hesla?

Importujete-li kompletní nastavení celého ochranného systému ze souboru staršího data, dejte si pozor na nastavení hesla! Nejste-li si stoprocentně jisti jaké heslo je v záloze nastaveno, raději po importu použijte funkci Nastavení hesla z nabídky Správce systému. Předejdete tak situaci, kdy byste museli nouzově systém odinstalovat, znovu jej instalovat a následně měnit heslo.


Export nastavení do souboru

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Správce systému zvolte příkaz Export / Import nastavení.
  4. Z roletové podnabídky zvolte příkaz Export nastavení do souboru.
  5. V dialogu Uložit jako vylistujte soubor s nastavením ochranného systému, do kterého chcete exportovat. Složku se souborem můžete vylistovat pomocí rozevíracího seznamu Uložit do či ji poklepáním v oblasti dialogu. Rovněž můžete jméno souboru včetně cesty zadat do pole Název souboru. Neopomeňte zkontrolovat, zdali máte v seznamu Uložit jako typ: nastavený správný typ souboru.
  6. Po volbě souboru zahájíte export dat stiskem tlačítka Uložit.


Import nastavení ze souboru

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Správce systému zvolte příkaz Export / Import nastavení.
  4. Z roletové podnabídky zvolte příkaz Import nastavení ze souboru.
  5. V dialogu Otevřít vylistujte soubor s nastavením ochranného systému, které chcete importovat. Složku se souborem můžete vylistovat pomocí rozevíracího seznamu Oblast hledání či ji poklepáním v oblasti dialogu. Rovněž můžete jméno souboru včetně cesty zadat do pole Název souboru. V případě komplikací si neopomeňte zkontrolovat, zdali máte v seznamu Soubory typu: nastavený správný typ souboru.
  6. Po volbě souboru zahájíte import dat stiskem tlačítka Otevřít.


Změna hesla pro přístup do ochranného systému

Heslo nastavené pro ovládací aplikaci ochranného systému OptimAccess je vyžadováno při jeho každém spuštění. Bez jeho znalosti nelze ovládací aplikaci spustit.

Nastavení hesla pro spouštění ovládací aplikace

Se znalostí stávajícího hesla můžete nové heslo nastavit tímto způsobem:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Správce systému zvolte příkaz Nastavení hesla.
  4. V dialogu Nastavení přístupového hesla OptimAccess zadejte do textových polí Nové heslo a Potvrďte heslo vámi požadované heslo a stiskněte tlačítko Nastavit.
  5. Zadali-li jste do obou polí stejný alfanumerický řetězec, systém změní přístupové heslo a informuje vás o tom dialogem Přístupové heslo OptimAccess s textem Heslo bylo změněno. Ukončete jej stiskem tlačítka OK. V případě, kdy se vámi zadané řetězce liší, informuje vás o této situaci systém dialogem Přístupové heslo OptimAccess s textem Potvrzené heslo je odlišné od hesla nového. Zadejte heslo znovu. Stiskněte tlačítko OK a pokračujte podle bodu č. 4.

Náležitosti a pravidla pro volbu hesla

Pro zadávání hesla platí následující omezení:

  • heslo se skládá z alfanumerických znaků;
  • heslo rozlišuje malá a velká písmena (vlastnost nazývaná též case-sensitivity);
  • nelze použít prázdné heslo, je nutné zadat minimálně jeden znak;
  • maximální délka hesla je omezena na 20 znaků.

Je vhodné volit heslo tak, aby jej potenciální útočnici nemohli snadno hádáním odhalit. Tudíž za heslo nevolte své křestní jméno, název firmy či jiné potenciálním útočníkům známé skutečnosti. Rovněž není vhodné používat hesla, která jsou snadno odhalitelné pomocí „slovníkového útoku“. Správné heslo by se mělo skládat přibližně z osmi náhodně zkombinovaných alfanumerických znaků.


Ovládání aplikace ve Windows NT/2000

Ovládací aplikace se v operačním systému Windows 2000 a Windows NT spouští prostřednictvím souboru Oant.exe z adresáře, kde je instalován ochranný systém OptimAccess (základní nastavení pro instalaci je C:\OA6). Při instalaci je v nabídce Start systému Windows vytvořen odpovídající zástupce pojmenovaný OptimAccess. Ovládací aplikaci lze tedy spustit i následujícím postupem:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.

Ovládání funkcí ochranného systému prostřednictvím aplikace

  • Postup pro aktivaci a deaktivaci ochranného systému naleznete pod heslem Aktivace a deaktivace ochranného systému.
  • S principem logiky ochrany systémů Windows 2000 a Windows NT založeném na uživatelských účtech a jeho ovládání se seznámíte pod heslem Koncepce uživatelů.
  • Postupy pro ochranu při práci s výměnnými médii naleznete pod heslem Manipulace s výměnnými médii.
  • Informace o obnově obsahu souborů a adresářů naleznete pod heslem Koncepce obnovy souborů dle vzoru.
  • Postup jak zamezit instalaci nových programů naleznete pod heslem Instalace nových programů.
  • Postup jak chránit přístup uživatelů k Ovládacím panelům naleznete pod heslem Ochrana Ovládacích panelů.
  • Rady a postupy potřebné pro zálohu nastavení ochranného systému a následný import zálohy naleznete pod heslem Export a import nastavení ochranného systému.
  • Popis náležitostí a požadavků pro správně zvolené heslo a postup pro jeho nastavení naleznete pod heslem Změna hesla pro přístup do ovládacího prostředí.


Aktivace a deaktivace ochranného systému

Při aktivaci ovladačů se modifikuje zavaděč pevného disku tak, aby se v okamžiku spuštění počítače se automaticky aktivovaly všechny nastavené ochranné funkce. Je-li systém OptimAccess aktivní, máte možnost jeho jednotlivé ochranné funkce přizpůsobovat vašim aktuálním požadavkům na ochranu počítače. Vzhledem k tomu, že systém pracuje se zavaděčem pevného disku, je pro aktivaci systému nutný restart počítače. Ten provedete stiskem tlačítka OK v dialogu zakončujícím aktivační proceduru.

V případě, že nejsou ve vnitřní paměti (RAM) počítače zavedeny ovladače nebo je ochranný systém právě nainstalován, se aktivační procedura vyvolá při každém spuštění aplikace OptimAccess (souborem Oant.exe).

Aktivace ochranného systému

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Ochranný systém není aktivní a ovládací aplikace to dá najevo dialogem OptimAccess s textem Pro správnou funkci systému OptimAccess je nutné zavést ovladače. Mají se zavést ihned?. Stiskem tlačítka OK ochranný systém aktivujete. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  4. Ochranný systém provede svou aktivaci zápisem do konfiguračních souborů operačního systému a systémových oblastí pevného disku. Pro úspěšnou aktivaci je nutný restart počítače. Ovládací aplikace informuje o úspěšné aktivaci ochranného systému dialogem OptimAccess s textem Ovladače byly úspěšně zavedeny. Nyní se provede restart systému!. Stiskem tlačítka OK provedete restart počítače.

Deaktivace ochranného systému

Příkaz Odinstalovat ovladače v nabídce Správce má za následek odstranění aktivních ovladačů z vnitřní paměti (RAM) počítače. Výsledkem je vypnutí všech ochran realizovaných systémem OptimAccess. Funkce opět vyvolá dialog s informací o nutnosti provedení restartu počítače. Po restartu je váš systém zcela bez ochrany.

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Správce zvolte příkaz Odinstalovat ovladače.
  4. Ochranný systém provede svou aktivaci zápisem do konfiguračních souborů operačního systému a systémových oblastí pevného disku. Pro úspěšnou deaktivaci je nutný restart počítače. Ovládací aplikace informuje o úspěšné deaktivaci ochranného systému dialogem OptimAccess s textem Ovladače byly úspěšně odinstalovány. Změny se projeví až po restartu Windows.. Stiskem tlačítka OK provedete restart počítače.

Příkaz je vhodný použít zejména při plánovaných rozsáhlých instalacích programového vybavení, které s sebou nesou nutnost větších zásahů do konfigurace operačního systému a aktualizovaných aplikací.


Koncepce uživatelů

S použitím bezpečnostní politiky operačních systémů Windows 2000 a Windows NT máte možnost nastavovat jednotlivá omezení ochranného systému OptimAccess na úrovni jednotlivých uživatelských účtů. Samozřejmě máte možnost pracovat se všemi účty najednou prostřednictvím speciálního typu pseudoúčtu „všichni uživatelé“.

Po spuštění ovládací aplikace tedy poklepáním na ikonu plus vedle síťového jména počítače ( [image]) vylistujete seznam všech uživatelských účtů. Jednotlivé typy účtů jsou graficky odlišeny:

  • speciální pseudoúčet „všichni uživatelé“, jehož prostřednictvím máte možnost nastavovat změny pro všechny uživatelské účty na stanici současně;
  • běžné uživatelské účty na stanici označené svými jmény (jedinou výjimkou je specifický účet „Default user“, viz níže v odstavci Specifika účtu „Default user“).

Stiskem na ikonu plus vedle příslušného účtu vylistujete seznam voleb, které máte možnost nastavovat. Příslušné ovládací prvky pro nastavování jednotlivých voleb naleznete v pravém okně ovládací aplikace.

Specifika účtu „Default user“

Ačkoliv je účet „Default user“ vedený jako běžný úživatelský účet, vyznačuje se jednou specifickou vlastností. Vytváříte-li v systému nového uživatele, základní nastavení nového uživatelského účtu bude okopírováno dle nastavení účtu „Default user“.


Manipulace s výměnnými médii

Ochranný systém nabízí zákaz používání jednotlivých typů výměnných zařízení. Prostřednictvím volby Zakázat použití máte možnost zakázat používat:

  • disketové mechaniky;
  • CD-ROM mechaniky;
  • jiná výměnná média.

Dále můžete uživateli povolit přístup pouze k vybraným CD-ROM diskům prostřednictvím jejich identifikace na základě názvu.

Zákaz používání určitého typu výměnných zařízení

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. V levém okně ovládací aplikace označte uživatelský účet, jehož nastavení hodláte upravovat. Stiskem na ikonu plus vylistujte seznam voleb pro příslušeného uživatele a označte ikonu Výměnná média.
  4. V pravém okně ovládací aplikace máte možnost prostřednictvím volby Zakázat použití znemožnit uživateli práci s vybranými druhy výměnných médií.
  5. Aktivaci provedených změn provedete stiskem tlačítka Použít. V případě že tak neučiníte se ochranný systém bude dožadovat potvrzení provedených změn v okamžiku kdy přepnete jiný ovládací prvek v levém okně či se pokusíte aplikaci ukončit.

Povolení CD-ROM s určitými názvy

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. V levém okně ovládací aplikace označte uživatelský účet, jehož nastavení hodláte upravovat. Stiskem na ikonu plus vylistujte seznam voleb pro příslušeného uživatele a označte ikonu Výměnná média.
  4. V pravém okně ovládací aplikace máte možnost prostřednictvím tlačítek Přidat a Odebrat upravovat seznam názvu CD-ROM médiím které má uživatel právo používat. Stiskem tlačítka Přidat vyvoláte dialog Povolení CD podle názvu, kam můžete zadat patřičné jméno a potvrdit je stiskem tlačítka OK.
  5. Aktivaci provedených změn provedete stiskem tlačítka Použít. V případě že tak neučiníte se ochranný systém bude dožadovat potvrzení provedených změn v okamžiku kdy přepnete jiný ovládací prvek v levém okně či se pokusíte aplikaci ukončit.


Koncepce obnovy souborů dle vzoru

Obnova souborů a adresářů funguje na principu záložních kopií vzorového nastavení. Při startu systému jsou vždy smazány chráněné adresáře a soubory a jsou nahrazeny ze záložních kopií. Tuto funkci je vhodné používat obzvláště pro pracovní adresáře aplikací, které ukládají uživatelská data a měly by vždy mít stejné základní nastavení.

Obnova adresářů

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. V levém okně ovládací aplikace označte uživatelský účet, jehož nastavení hodláte upravovat. Stiskem na ikonu plus vylistujte seznam voleb pro příslušeného uživatele a označte ikonu Obnova souborů.
  4. Pro nastavení obnovy adresářů slouží horní polovina pravého ovládacího okna. Nastavení pro adresáře se týká části Chráněné adresáře. Pro manipulaci s chráněnými adresáři slouží tlačítka:
    • Přidat pro zadávání nových chráněných adresářů;
    • Odebrat pro odstraňování adresářů ze seznamu;
    • Upravit pro změny ve stávajícím nastavení.
    Stiskem tlačítek Přidat a Upravit zobrazíte dialog Obnova adresářů. V něm máte možnost prostřednictvím tlačítka Změnit nadefinovat Chráněný adresář a jemu příslušející Vzorový adresář.

    Dále můžete prostřednictvím volby Vytvořit obraz již existujícího adresáře nakopírovat aktuální stav chráněného adresáře do záložního vzorového adresáře. V případě adresářů máte dále možnost obnovovat i vnořené podadresáře označením volby Obnovovat i podadresáře.

    Nastavené změny aktivujete stiskem tlačítka OK.
  5. Aktivaci provedených změn provedete stiskem tlačítka Použít. V případě že tak neučiníte se ochranný systém bude dožadovat potvrzení provedených změn v okamžiku kdy přepnete jiný ovládací prvek v levém okně či se pokusíte aplikaci ukončit.

Obnova souborů

Obnova souborů se provádí analogicky k výše uvedenému postupu s tím rozdílem, že pracujete s ovládacími prvky ve spodní části pravého okna.


Instalace nových programů

Instalaci nových programů můžete zabránit dvojím způsobem:

  • základním zákazem spouštění souborů s názvy Setup.exe a Install.exe;
  • vlastní definicí jmen souborů, které uživatel nemá právo spouštět.

Základní ochrana

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. V levém okně ovládací aplikace označte uživatelský účet, jehož nastavení hodláte upravovat. Stiskem na ikonu plus vylistujte seznam voleb pro příslušeného uživatele a označte ikonu Setup.
  4. V pravém okně ovládací aplikace označte volbu Základní ochrana před instalací nových aplikací.
  5. Aktivaci provedených změn provedete stiskem tlačítka Použít. V případě že tak neučiníte se ochranný systém bude dožadovat potvrzení provedených změn v okamžiku kdy přepnete jiný ovládací prvek v levém okně či se pokusíte aplikaci ukončit.

Definice jmen souborů

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. V levém okně ovládací aplikace označte uživatelský účet, jehož nastavení hodláte upravovat. Stiskem na ikonu plus vylistujte seznam voleb pro příslušeného uživatele a označte ikonu Setup.
  4. V pravém okně ovládací aplikace označte volbu Ochrana přístupu k souborům v části Přístup k souborům.
  5. Stiskem tlačítka Přidat máte možnost definovat si vlastní jména souborů, které uživatel nesmí spouštět. Jakmile jej stisknete, zobrazí se dialog Ochrana přístupu k souborům, kam máte možnost zadat zvolené jméno a potvrdit jej stiskem tlačítka OK.
  6. Naopak odebírat jména zakázaných souborů můžete po jejich označení v okně Znemožnit přístup k souborům s těmito názvy prostřednictvím tlačítka Odebrat.
  7. Aktivaci provedených změn provedete stiskem tlačítka Použít. V případě že tak neučiníte se ochranný systém bude dožadovat potvrzení provedených změn v okamžiku kdy přepnete jiný ovládací prvek v levém okně či se pokusíte aplikaci ukončit.


Ochrana Ovládacích panelů

V systému Windows 2000 a Windows NT máte možnost zakázat jednotlivým uživatelům manipulovat s vybranými Ovládacími panely následujícím postupem:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. V levém okně ovládací aplikace označte uživatelský účet, jehož nastavení hodláte upravovat. Stiskem na ikonu plus vylistujte seznam voleb pro příslušeného uživatele a označte ikonu Ovládací panely.
  4. V pravém okně ovládací aplikace máte možnost prostřednictvím oken Povoleno a Zakázáno nastavovat oprávnění k použití jednotlivých Ovládacích panelů. Označte stiskem myši zvolený Ovládací panel a stiskem tlačítek Zakázat >> respektive Povolit >> (v závislosti na tom, zdali se panel momentálně vyskytuje v okně Povoleno respektive Zakázáno) nastavte příslušné oprávnění.
  5. Aktivaci provedených změn provedete stiskem tlačítka Použít. V případě že tak neučiníte se ochranný systém bude dožadovat potvrzení provedených změn v okamžiku kdy přepnete jiný ovládací prvek v levém okně či se pokusíte aplikaci ukončit.


Export a import nastavení ochranného systému

Export nastavení do souboru

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. V levém okně ovládací aplikace označte uživatelský účet, jehož nastavení hodláte ukládat.
  4. V pravém okně ovládací aplikace stiskněte tlačítko Uložit nastavení do souboru.
  5. V dialogu Uložit jako vylistujte soubor s nastavením ochranného systému, do kterého chcete exportovat. Složku se souborem můžete vylistovat pomocí rozevíracího seznamu Uložit do či ji poklepáním v oblasti dialogu. Rovněž můžete jméno souboru včetně cesty zadat do pole Název souboru.
  6. Po volbě souboru zahájíte export dat stiskem tlačítka Uložit.

Import nastavení ze souboru

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. V levém okně ovládací aplikace označte uživatelský účet, pro nějž hodláte nastavení načíst.
  4. V pravém okně ovládací aplikace stiskněte tlačítko Načíst nastavení ze souboru.
  5. V dialogu Otevřít vylistujte soubor s nastavením ochranného systému, které chcete importovat. Složku se souborem můžete vylistovat pomocí rozevíracího seznamu Oblast hledání či ji poklepáním v oblasti dialogu. Rovněž můžete jméno souboru včetně cesty zadat do pole Název souboru.
  6. Po volbě souboru zahájíte import dat stiskem tlačítka Otevřít.

Záloha čerstvě instalovaného systému

Ihned po instalaci ochranného systému OptimAccess si proveďte zálohu základního nastavení. Využijete je například v případě rozsáhlejších instalací či případných updatů operačního systému. Více informací naleznete pod heslem Doporučený postup konfigurace.

Jak předejít nechtěné změně hesla?

Importujete-li kompletní nastavení celého ochranného systému ze souboru staršího data, dejte si pozor na nastavení hesla! Nejste-li si stoprocentně jisti jaké heslo je v záloze nastaveno, raději po importu použijte funkci Změna hesla z nabídky Správce. Předejdete tak situaci, kdy byste museli nouzově systém odinstalovat, znovu jej instalovat a následně měnit heslo.


Změna hesla pro přístup do ovládacího prostředí

Heslo nastavené pro ovládací aplikaci ochranného systému OptimAccess je vyžadováno při jeho každém spuštění. Bez jeho znalosti nelze ovládací aplikaci spustit.

Nastavení hesla pro spouštění ovládací aplikace

Se znalostí stávajícího hesla můžete nové heslo nastavit tímto způsobem:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Správce zvolte příkaz Změna hesla.
  4. V dialogu Nastavení přístupového hesla OptimAccess zadejte do textových polí Nové heslo a Potvrďte heslo vámi požadované heslo a stiskněte tlačítko Nastavit.
  5. Zadali-li jste do obou polí stejný alfanumerický řetězec, systém změní přístupové heslo a informuje vás o tom dialogem Přístupové heslo OptimAccess s textem Heslo bylo změněno. Ukončete jej stiskem tlačítka OK. V případě, kdy se vámi zadané řetězce liší, informuje vás o této situaci systém dialogem Přístupové heslo OptimAccess s textem Potvrzené heslo je odlišné od hesla nového. Zadejte heslo znovu. Stiskněte tlačítko OK a pokračujte podle bodu č. 4.

Náležitosti a pravidla pro volbu hesla

Pro zadávání hesla platí následující omezení:

  • heslo se skládá z alfanumerických znaků;
  • heslo rozlišuje malá a velká písmena (vlastnost nazývaná též case-sensitivity);
  • nelze použít prázdné heslo, je nutné zadat minimálně jeden znak;
  • maximální délka hesla je omezena na 20 znaků.

Je vhodné volit heslo tak, aby jej potenciální útočnici nemohli snadno hádáním odhalit. Tudíž za heslo nevolte své křestní jméno, název firmy či jiné potenciálním útočníkům známé skutečnosti. Rovněž není vhodné používat hesla, která jsou snadno odhalitelné pomocí „slovníkového útoku“. Správné heslo by se mělo skládat přibližně z osmi náhodně zkombinovaných alfanumerických znaků.


Nadstavbové moduly ochranného systému

V rámci nadstavbových modulů systému je možné dále rozšířit funkce ochranného systému. Máte možnost využít modulů pro:

  • kompletní ochranu operačního systému již při jeho zavádění můžete provést modulem Plus, který zamezuje procesu zavádění operačního systému cizí nebo nepovolanou osobou;
  • podrobnější nastavení jednotlivých ochranných funkcí a ochranu nastavení uživatelských aplikací můžete provést v rámci modulu Extension;
  • vzdálenou správu systému v rámci počítačové sítě prostřednictvím modulu Remote Control.


Modul Plus

Nadstavba ochranného softwarového systému OptimAccess je určena do přenosných počítačů, serverů a všeobecně stanic, kde může v nepřítomnosti majitele může dojít k nežádoucímu vstupu do počítače. Zabraňuje přístupu neoprávněné osoby za účelem odcizení dat, případně poškození již instalovaného software a jeho nastavení.

Jsou-li funkce ochranného systému aktivovány majitelem počítače, pak je před startem vlastního operačního systému vyžadováno zadání správcem definovaného hesla. Pokud heslo není zadáno správně, nelze žádným způsobem zahájit start operačního systému. Neoprávněnému uživateli je tak znemožněn vstup do počítače, který mu nepatří.

Při aktivním ochraně s pomoci modulu Plus nelze zavést systém ze systémové diskety nebo jiného bootovacího média (CD-ROM, BOOT-ROM, sítě...). V případě nutnosti bootování systému z diskety při aktivní ochraně modulem Plus, je nutné systém zavádět ze speciální zaváděcí diskety vytvořené v průběhu instalace.

Jelikož se modul Plus zavádí ze zavaděčů pevného disku, nelze ho "obejít" jako klasické zaheslování počítače prostřednictvím BIOSu nebo montáží pevného disku do jiného počítače. Proces zavádění operačního systému je zastaven i v případě, kdy je takto chráněný disk v počítači zapojen i v jiné pozici než master na primárním kanálu IDE řadiče. Nadstavba Plus po zadání příslušného hesla nijak neovlivňuje další průběh zavádění ani jakékoliv funkce operačního systému nebo jiných aplikací.

Ovládání ve Windows 9x

Aktivace ochrany modulu Plus

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Správce systému zvolte příkaz Nadstavba OptimAccess Plus.
  4. Z roletové podnabídky zvolte příkaz Aktivace OptimAccess Plus.
  5. V dialogu OptimAccess Plus označte volbu OptimAccess Plus aktivní a stiskněte tlačítko Nastavit.
  6. Zobrazí se dialog OptimAccess Plus požadující zadání hesla, jehož zadáním je podmíněn start operačního systému. Do polí Nové heslo a Potvrď heslo zadejte požadované heslo a stiskněte tlačítko Nastavit. Úspěšné nastavení hesla vám potvrdí dialog Hlášení s textem Heslo bylo změněno. Ukončíte jej stiskem tlačítka OK.
  7. O úspěšné aktivaci ochranných funkcí nadstavbového modulu Plus vás systém informuje dialogem Hlášení s textem Ochrana počítače heslem byla aktivována. Nové heslo nastaveno. Ukončíte jej stiskem tlačítka OK.

Změna hesla pro zavádění operačního systému

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Správce systému zvolte příkaz Nadstavba OptimAccess Plus.
  4. Z roletové podnabídky zvolte příkaz Nastavení hesla OptimAccess Plus.
  5. Zobrazí se dialog OptimAccess Plus požadující zadání hesla, jehož zadáním je podmíněn start operačního systému. Do polí Nové heslo a Potvrď heslo zadejte požadované heslo a stiskněte tlačítko Nastavit. Úspěšné nastavení hesla vám potvrdí dialog Hlášení s textem Heslo bylo změněno. Ukončíte jej stiskem tlačítka OK.

Deaktivace ochrany modulu Plus

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Správce systému zvolte příkaz Nadstavba OptimAccess Plus.
  4. Z roletové podnabídky zvolte příkaz Aktivace OptimAccess Plus.
  5. V dialogu OptimAccess Plus označte volbu OptimAccess Plus neaktivní a stiskněte tlačítko Nastavit.
  6. O úspěšné deaktivaci ochranných funkcí nadstavbového modulu Plus vás systém informuje dialogem Hlášení s textem Ochrana počítače heslem byla odstraněna. Ukončíte jej stiskem tlačítka OK.


Modul Extension

Ovládání ve Windows 9x

V prostředí Windows 9x se nadstavbový modul Extension ovládá pomocí roletové nabídky Nadstavba OptimAccess Extension. Vyvoláte ji následujícím postupem:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. Z nabídky Správce systému zvolte příkaz Nadstavba OptimAccess Extension.

Ovládání ve Windows NT a 2000

V prostředí Windows NT a Windows 2000 se nadstavbový modul Extension pro konkrétního uživatele ovládá pomocí nabídky Extension v pravém okně ovládací aplikace. Vyvoláte ji následujícím postupem:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku OptimAccess.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess.
  3. V levém okně si stiskem na ikonu plus před jménem počítače vylistujte seznam jeho uživatelů.
  4. Zvolte uživatele pro nějž chcete provádět úpravy nastavení a stiskem na jemu příslušející ikonu plus vylistujte volby, které máte možnost nastavovat.
  5. Z vylistovaného seznamu označte volbu Extension. Pravé okno ovládací aplikace změní svoji podobu a máte v něm možnost pracovat s nabídkou Extension.

Volby modulu Extension

  • Nastavení vlastností Ovládacích panelů
  • Nastavení vlastností Průzkumníka a Složky
  • Ochrana nastavení aplikací
  • Bezpečnost


Nastavení vlastností Ovládacích panelů

Karta Síť

  • označením volby Celá síť skryjete ikonu Celá síť z v dialogového okna Okolní počítače
  • označením volby Identifikace počítače skryjete kartu Identifikace v dialogovém okně Síť
  • označením volby Skryj ikonu okolní počítače skryje ikonu Okolní počítače z pracovní plochy
  • označením volby Sdílení souborů a tiskáren zakážete uživateli měnit nastavení sdílení souborů a tiskáren prostřednictvím dialogu Sdílení souborů a tiskáren (tedy uživatel nemůže zasahovat do konkrétního správcem provedeného nastavení)
  • označením volby Řízení přístupu skryjete kartu Řízení přístupu v dialogovém okně Síť

Karta Hesla

  • označením volby Záložka Vzdálená správa skryjete kartu Vzdálená správa v dialogovém okně Hesla - vlastnosti
  • označením volby Záložka Změnit hesla skryjete kartu Změnit hesla v dialogovém okně Hesla - vlastnosti
  • označením volby Záložka Profily uživatelů skryjete kartu Profily uživatelů v dialogovém okně Hesla - vlastnosti

Karta Tiskárny

  • označením volby Přidání tiskárny znemožníte uživateli přidat tiskárnu do systému
  • označením volby Odebrání tiskárny znemožníte uživateli odebrat tiskárnu ze systému
  • označením volby Záložka Podrobnosti tiskárny znemožníte uživateli nastavovat systémové parametry tiskárny prostřednictvím dialogu <jméno tiskárny> - vlastnosti (tj. uživatel nemůže měnit systémové nastavení tiskárny jako jsou port tiskárny, ovladač, řazení tiskových úloh a podobně)

Karta Systém

  • označením volby Virtuální paměť skryjete tlačítko Virtuální paměť... na kartě Výkon v dialogovém okně Systém - vlastnosti
  • označením volby Hardwarové profily skryjete kartu Hardwarové profily v dialogovém okně Systém - vlastnosti
  • označením volby Systém souborů skryjete tlačítko Systém souborů... na kartě Výkon v dialogovém okně Systém - vlastnosti
  • označením volby Správce zařízení skryje kartu Správce zařízení v dialogovém okně Systém - vlastnosti

Karta Obrazovka

První volba se týká nastavení závislého na hardwarové konfiguraci počítače, ostatní tři volby jsou pouze možnosti uživatelského přizpůsobení operačního systému.

  • označením volby Skryj záložku nastavení skryjete kartu Nastavení v dialogovém okně Obrazovka - vlastnosti (uživatel nebude moci měnit nastavení, která vyžadují případné opravy od správce; jako například nastavení ovladače grafické karty, typ monitoru, obnovovací frekvenci monitoru a podobně)
  • označením volby Skryj záložku Pozadí skryjete kartu Pozadí v dialogovém okně Obrazovka - vlastnosti
  • označením volby Skryj záložku Šetřič obrazovky skryjete kartu Šetřič obrazovky v dialogovém okně Obrazovka - vlastnosti
  • označením volby Skryj záložku Vzhled skryjete kartu Vzhled v dialogovém okně Obrazovka - vlastnosti


Nastavení vlastností Průzkumníka a složek

Karta Nabídka Start

  • označením volby Ovládací panely a Tiskárny odeberete příkazy Tiskárny a Ovládací panely z nabídky Nastavení v hlavní nabídce Start systému Windows
  • označením volby Příkaz Spustit odeberete příkaz Spustit z nabídky Start systému Windows
  • označením volby Příkaz Najít odeberete příkaz Najít z nabídky Start systému Windows

Karta Diskové jednotky

V rámci karty Diskové jednotky máte možnost zakázat na počítači použití stanovených logických jednotek. Zákaz použití pro vybrané logické jednotky nastavíte označením voleb v rozsahu A až Z. Ochrannému systému je úplně jedno, zdali se jedná o disketovou jednotku, pevný disk, síťový disk, CD-ROM, ZIP , JAZZ nebo jiné diskové médium.

Nastavení jsou platná pouze pro ovládací rozhraní operačního systému a jim příslušné aplikace (Průzkumník, MS Internet Explorer). V souborových manažerech (například Windows Commander) jsou tyto jednotky přístupné. Rovněž nelze skrývat jednotku, která je sdílena (případně jejíž část je sdílena).

Karta Plocha

  • označením volby Skryj všechny ikony na ploše skryjete všechny ikony na pracovní ploše
  • označením volby Zakázat změnu nastavení Active Desktop zakážete změnu nastavení v rámci Systému Active Desktop
  • po označení volby Obnovit nastavení Vzhledu po restartu počítače se po každém restartu obnoví původní nastavení vzhledu Průzkumníka (vzhledu oken - jako například barvy oken, použité fonty v oknech), které bylo použito v okamžiku aktivace této volby
  • po označení volby Obnovit nastavení Tapety plochy po restartu počítače se po každém restartu Windows se obnoví vaše původní nastavení tapety Windows, které bylo použito v okamžiku aktivace této volby (nastavení tapety nelze měnit ani z jiných aplikací či nabídek)

Karta Průzkumník

  • označením volby Zakázat volbu Možnosti úplně znemožníte vstup do nastavování vzhledu aplikace Průzkumník
  • označením volby Zobrazení ikony Připojení síťové jednotky zakážete uživatelům připojovat síťové disky, čímž znemožní provádět nepovolené akce na síti (obzvláště v sítích bez centralizované správy)
  • označením volby Chránit nastavení ovládacích prvků chráníte celý panel proti editaci v aplikaci Průzkumník
  • označením volby Při ukončení Průzkumníku se nebude ukládat nastavení (rozestavění oken na ploše při vypnutí počítače, vzhled Průzkumníku při jeho ukončení) chráníte nastavení oken (jejich pozici na monitoru a vzhled, včetně zobrazení a seřazení)

Karta Vlastnosti Složky

  • označením volby Zobrazení skrytých a systémových souborů chráníte neměnnost nastavení aktuálního zobrazení skrytých a systémových souborů
  • označením volby Zobrazení známých přípon chráníte neměnnost zobrazení známých přípon
  • označením volby Globální nastavení zobrazení Složek chráníte před efektivním použitím tlačítka „Jako aktuální složka“, které se nachází na kartě Zobrazit dialogu Možnosti složky (dostupný v aplikaci Průzkumník a Internet Explorer prostřednictvím nabídky Zobrazit po klepnutí na příkaz Možnosti složky...).


Ochrana uživatelského nastavení aplikací

Karta Internet Explorer

  • označení volby Skrýt volbu oblíbené skryje nabídku Oblíbené z hlavní nabídkové lišty aplikace Internet Explorer
  • označení volby Znemožnit download zakáže stahování souborů ze sítě Internet
  • označení volby Chránit nastavení domovské stránky zakáže změnu vámi původně nastavené domovské www stránky a to ani klávesovou zkratkou CTRL+D
  • označení volby Chránit nastavení Připojení k internetu zakáže měnit nastavení na kartě připojení v dialogovém okně Internet - vlastnosti (volba rovněž chrání nastavení Telefonických připojení sítě - tj. nelze měnit čísla a nastavení stávajících telefonních účtů)

Karta Word

Aplikace sice uživateli dovolí změnit její vzhled a nastavení, avšak při jejím opětovném spuštění je obnoveno původní nastavení.

  • označení volby Uchovávat nastavení a pozici Ovládacích panelů zakáže přesouvat, modifikovat ikony či jakkoliv jinak měnit panely nástrojů programu Microsoft Word
  • po označení volby Hlídat celkové nastavení aplikace Microsoft Word nelze provádět jakékoliv změny nastavení aplikace Microsoft Word prostřednictvím příkazu Možnosti z nabídky Nástroje
  • označení volby Ochrana základní šablony pro tvorbu dokumentů chrání proti změně šablonu Normal.dot

Karta Excel

Aplikace sice uživateli dovolí změnit její vzhled a nastavení, avšak při jejím opětovném spuštění je obnoveno původní nastavení.

  • označení volby Uchovávat nastavení a pozici Ovládacích panelů zakáže přesouvat, modifikovat ikony či jakkoliv jinak měnit panely nástrojů programu Microsoft Excel
  • po označení volby Hlídat celkové nastavení aplikace Microsoft Excel nelze provádět jakékoliv změny nastavení aplikace Microsoft Excel prostřednictvím příkazu Možnosti z nabídky Nástroje
  • označení volby Zachovat pozici a velikost hlavního okna při spuštění aplikace zachová aktuální rozmístění okna aplikace Microsoft Excel

Karta Outlook

S výjimkou přidávání a odebírání informačních služeb sice aplikace uživateli dovolí změnit její vzhled a nastavení, avšak při jejím opětovném spuštění je obnoveno původní nastavení.

  • označení volby Uchovávat nastavení a pozici Ovládacích panelů zakáže přesouvat, modifikovat ikony či jakkoliv jinak měnit panely nástrojů programu Microsoft Outlook
  • označení volby Zachovat pozici a velikost okna při spuštění zachová aktuální rozmístění okna aplikace Microsoft Outlook
  • označení volby Zakázat rušení již instalovaných a přidávání nových Informačních služeb zakáže provádět změny nastavení v rámci dialogu Účty sítě Internet

Následující volby slouží k omezení možnosti provádět změny nastavení programu Microsoft Outlook prostřednictvím příkazu Možnosti z nabídky Nástroje:

  • označením volby Úkoly a poznámky ignorujete změny provedené v nabídce Nástroje, příkaz Možnosti, karta Předvolby v částech Úkoly a Poznámky
  • označením volby Kontrola pravopisu ignorujete změny provedené v nabídce Nástroje, příkaz Možnosti, karta Kontrola pravopisu
  • označením volby Připomenutí ignorujete změny provedené v nabídce Nástroje, příkaz Možnosti, karta Předvolby, část Kalendář
  • označením volby Kalendář ignorujete změny provedené v nabídce Nástroje, příkaz Možnosti, Karta Předvolby, část Kalendář
  • označením volby Možnosti el. pošty (MS Outlook 2000) ignorujete změny provedené v nabídce Nástroje, příkaz Možnosti, panel Předvolby, část Kalendář
  • označením volby Kompletní ochrana menu Možnosti celkově zabezpečí program Microsoft Outlook tak, aby nikdo nemohl prostřednictvím příkazu Možnosti z nabídky Nástroje udělat jakékoliv změny nastavení

Karta Povolené aplikace

  • označení volby Příkazová řádka znemožní spouštění aplikace Příkazový řádek z nabídky Start (obecně zamezí spouštění interpretru příkazové řádky systému MS-DOS programem Command.com). Tudíž nelze používat aplikace systému MS-DOS.
  • označení volby Spouštění programů znemožní uživateli spustit jakýkoliv jiný program než explicitně povolený správcem systému; toto omezení se netýká programu OptimAccess, který je možné spustit kdykoliv. Pro jednotlivé programy se oprávnění k jejich spouštění nastavuje pomocí tlačítka Přidej aplikaci. Naopak zrušení oprávnění se provádí označením programu v okně v pravé části karty Povolené aplikace dialogu Ochrana nastavení aplikací a následným stiskem tlačítka Odeber aplikaci.


Další volby pro zabezpečení počítače

Karta Bezpečnost

  • označením volby Vypnutí počítače zakážete příkaz Vypnout v hlavní nabídce Start systému Windows
  • označením volby Příkazová řádka zakážete spuštění příkazu Příkazová řádka v hlavní nabídce Start systému Windows
  • označením volby Nástroje pro editaci registrů zakážete spuštění standardních aplikací umožňujících měnit obsah registrů systému Windows
  • po označení volby Vyžadovat platné uživatelské jméno a heslo při vstupu do systému systém Windows vždy zobrazí přihlašovací dialog do operačního systému, který nelze obejít stisknutím tlačítka Storno; tuto volbu aktivujte pouze v případě, že máte v rámci vaší sítě server ověřující přihlašovací hesla domény Windows NT. Systém vyžaduje ověření zadaného uživatelského hesla vůči doméně Windows NT! Jinak se do systému Windows nebudete moci přihlásit a bude jej nutné reinstalovat.
  • po označení volby Při zadávání nového hesla vyžadovat alfanumerické heslo bude systém Windows při zadávání hesla nového uživatele vyžadovat zadání řetězce znaků skládající se z kombinace písmen a číslic
  • po označení volby Vyžadovat heslo, které je delší než minimální velikost bude systém Windows při zadávání hesla nového uživatele vyžadovat zadání řetězce znaků, který je stejně dlouhý nebo delší než udaná hodnota čísla uvedená v části minimální velikost na kartě Bezpečnost


Modul Remote Control

Nadstavba Remote Control ochranného systému OptimAccess umožňuje vzdáleně ovládat ochranný systém instalovaný na stanicích v počítačové síti. Pro vzdálené ovládání ochranného systému je třeba mít na počítači instalovánu ovládací aplikaci. Ta má dvě podoby v závislosti na operačním systému, pod kterým běži stanice klientů:

  • Remote Control 9x slouží ke vzdálené správě stanic s operačním systémem Windows 9x
  • Remote Control NT slouží ke vzdálené správě stanic s operačním systémem Windows NT a Windows 2000

Na spravovaných počítačím musí být pro korektní chování systému pro vzdálenou správu aktivní klient. Je spuštěn v závěrečné fázi instalace a je v paměti počítače aktivní bez ohledu na to, zdali je současně aktivní také ochranný systém OptimAcces. Klienta lze spustit prostřednictvím souborů Rcclient.exe (Windows 9x) respektive Rcclientnt.exe (Windows NT a Windows 2000).

Klient se automaticky instaluje a spouští již při základní instalaci ochranného systému OptimAccess bez ohledu na to, zdali je současně instalován také nadstavbový model Remote Control.

Chcete-li prostřednictvím ovládací aplikace pro vzdálenou správu spravovat rovněž nadstavbové moduly ochranného systému, musí na daném počítači současně s modulem Remote Control instalovány současně všechny příslušné nadstavbové moduly ochranného systému, které hodláte vzdáleně spravovat.


Aplikace pro vzdálenou správu stanic Windows 9x

Ovládací aplikaci pro správu klientů s operačním systémem Windows 9x spustíte následujícím postupem:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku Remote Control 9x.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess Remote Control.

Ovládací aplikaci pro správu klientů s operačním systémem Windows 9x lze rovněž spustit souborem Oarc9x.exe z adresáře, kam jste instalovali ochranný systém OptimAccess.

Ovládání jednotlivých funkcí programu pro vzdálenou správu je stejné jako v případě ovládací aplikace pro systém Windows. Podrobnosti o jednotlivých funkcích naleznete pod heslem Ovládání aplikace ve Windows 9x. Další podrobnosti o ovládací aplikaci pro vzdálenou správu stanic naleznete pod hesly:

  • Rozhraní ovládacích prvků
  • Počítače a skupiny počítačů
  • Vyhledávání počítače
  • Komunikační protokol
  • Hesla pro komunikaci


Rozhraní ovládacích prvků

Microsoft Network

Slouží k průchodu všech okolních počítačích. Přitom systém respektuje topologii vaší sítě. Po vylistování obsahu Microsoft Network stiskem na ikonu plus se vám zobrazí všechny přístupné skupiny (domény). Po vylistování obsahu skupiny se vám zobrazí všechny přístupné počítače. Zobrazené počítače mají ikonu bílého počítače, protože není známo, které počítače obsahují klienta vzdálené správy a je možné je ovládat. Kliknutím na počítač se u počítače zobrazí příslušná ikona stavu klienta vzálenné správy. Ikony indikující stav počítače:

  • Je třeba načíst aktuální stav počítače.
  • Ochranný systém není aktivní, je možno jej pouze aktivovat.
  • Ochranný systém je aktivní a lze měnit nastavení ochranného systému.
  • Na počítači není instalovaný klient vzdálené správy nebo počítač není na síti přístupný.

Databáze

Jedná se o uživatelskou databázi. Administrátor má možnost vytvoření skupin počítačů nebo vložení jmen jednotlivých počítačů, na kterých je instalovaný klient vzdálené správy. Počítače a skupiny lze přidávat a ubírat pomocí kontextové nabídky, která se vyvolá stiskem pravého tlačítka myši na příslušné položce. Popis funkcí menu je popsán níže této kapitoly.

Nastavení databáze se ukládá do souboru DATABASE.DAT v adresáři s ovládací prostředí. Doporučujeme tento soubor zálohovat.

Roletové nabídky

Většina základních funkcí aplikace pro vzdálenou správu je dostupná prostřednictvím roletových nabídek.

Microsoft Network

  • Znovu načíst - nastaví se výchozí stav. Při rozbalení se znovu prochází všechny skupina (domény), které jsou v síti přístupné.

Skupina v MS Network

  • Znovu načíst - odstraní se všechny načtené počítače. Při rozbalení skupiny se opět načtou všechny počítače přístupné v síti.

Počítač v MS Network

  • Znovu načíst - nastaví počítač do výchozího stavu. Při rozbalení se znovu zjišťuje aktivita klienta vzdálené správy a načítá se struktura disků a adresářů.
  • Restartovat - restartuje vzdálený počítač.
  • Změnit komunikační heslo - změní heslo klienta příslušného počítače. Toto heslo je pak vyžadováno při komunikaci mezi aplikací RC a klientem RC.

Databáze

  • Nový objekt - umožní vložení nového počítače nebo skupiny do Databáze.
  • Znovu načíst - všechny počítače a skupiny nastaví do výchozího stavu.

Skupina

  • Nový objekt - umožní vložení nového počítače nebo skupiny do příslušné skupiny.
  • Znovu načíst - všechny počítače, které jsou v této skupině nastaví do výchozího stavu.
  • Vymaž - umožní vymazání obsahu skupiny nebo celé skupiny z Databáze.

Počítač

  • Znovu načíst - nastaví počítač do výchozího stavu. Při rozbalení se znovu zjišťuje aktivita klienta vzdálené správy a načítá se struktura disků a adresářů.
  • Odstrait - umožní počítač z Databáze odstranit.
  • Restartovat - restartuje vzdálený počítač.
  • Změnit komunikační heslo - změní heslo klienta příslušného počítače. Toto heslo je pak vyžadováno při komunikaci mezi aplikací RC a klientem RC.

Ovládací panely

  • Nastavit - nastaví vlastnosti ovládacích panelů všem počítačům v příslušné skupině.

Instalace nových programů

  • Nastavit - nastaví stav ochrany instalace nových programů na všech počítačích příslušné skupiny.


Počítače a skupiny počítačů

Pokud stiskem myši označíte příslušný počítač, který chcete ovládat, pak se v titulku hlavního okna zobrazí jméno počítače v hranatých závorkách. Nyní se všechny funkce nastavení budou provádět právě na tomto počítači.

Volbu počítače můžete provést buďto v rámci sítě Microsoft Network nebo v rámci uživatelské Databáze.

Skupiny počítačů

Skupiny lze vytvářet pouze v rámci Databáze. Skupina slouží k vložení počítačů, které mají stejné nastavení ochranného systému. Nastavením vlastnosti ochranného systému příslušné skupině znamená, že toto nastavení se projeví na všech počítačích, které jsou v příslušné skupině a v podskupinách příslušné skupiny.

Počítače lze do skupin zařazovat pomocí kontextové nabídky nebo pomocí operací DRAG&DROP. Ovládáte-li skupinu, pak je jméno ovládané skupiny uvedeno v titulku hlavního okna. Jméno skupiny je v uvozovkách.

Sdružování jednotlivých počítačů do skupin není nijak funkčně omezeno. Lze tedy vytvářet libovolné úrovně vnořování skupin.


Vyhledávání počítače

V situacích kdy nemůžete požadovaný počítač prostřednictvím sítě Microstft Network vylistovat jej můžete vyhledat prostřednictvím jeho síťového jména nebo IP adresy. Použijte následující postup:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku Remote Control 9x.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess Remote Control.
  3. Z nabídky Správce systému zvolte příkaz Najít počítač.
  4. V dialogu Najít počítač můžete vyhledávat prostřednictvím síťového jména nebo IP adresy. Zvolte požadovaný způsob vyhledávání, do příslušného pole zadejte jméno či IP adresu a stiskněte tlačítko Najít.

Rychlé vyhledávání počítače

Jedná se o fuknci, která provádí vyhledávání počítače pouze po omezený časový okamžik 2 vteřin. Není-li s hledaným počítačem do vypršení 2 vteřin od začátku vyhledávání navázán kontakt, interpretuje se výsledek vyhledávání jako neúspěšný pokus. aktivací této funkce zamezíte situacím, kdy je hledaný počítač nedostupný a ovládací aplikace provádí vyhledávání neúměrně dlouho. Funkci aktivujete následujícím postupem:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku Remote Control 9x.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess Remote Control.
  3. Z nabídky Správce systému zvolte příkaz Rychlé vyhledávání. Aktivace této funkce je indikována zatržením u příkazu Rychlé vyhledávání v nabídce Správce systému.

Opětovným použitím tohoto postupu můžete funkci rychlého vyhledávání deaktivovat.


Komunikační protokol

Ochranný systém OptimAccess spolu s klienty pro vzdálenou správu podporují síťové prostředí postavené na protokolech TCP/IP a NetBEUI.

Nastavení protokolu pro komunikaci

Volbu síťového ptotokolu pro komunikaci mezi ovládací aplikací pro vzdálenou správu a klienty na stanicích provedete postupem:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku Remote Control 9x.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess Remote Control.
  3. Z nabídky Správce systému zvolte příkaz Komunikační protokol.
  4. V dialogu Nastavení komunikačního protokolu označte požadovanou volbu síťového protokolu a stiskněte tlačítko Nastavit.

V případě kdy s klienty komunikujete prostřednictvím protokolu NetBEUI, máte možnost vyhledávat počítače pouze prostřednictvím jejich jména.


Hesla pro komunikaci

Ovládací aplikace pro vzdálenou správu umožňuje chránit komunikaci s jednotlivými klienty prostřednictvím hesla. Lze jej nastavovat pouze pro jednotlivé počítače. Zadání hesla pro komunikaci je vyžadováno pouze při prvním spojení s klientem. Následně pak ochranný systém používá již dříve zadaná hesla. Podrobnosti o odstranění systémem automaticky ukládaných komunikačních hesel naleznete v odstavcích Vyčištění vyrovnávací paměti s komunikačními hesly.

Nastavení komunikačního hesla

Pro komunikační heslo neplatí platí žádná omezení. Odstranění komunikačního hesla je ekvivalentní nastavení prázdného komunikačního hesla. Heslo pro komunikaci se zvoleným počítačem nastavíte postupem:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku Remote Control 9x.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess Remote Control.
  3. V levém okně aplikace označte počítač s nimiž hodláte pracovat.
  4. Stiskem levého tlačítka myši vyvolejte roletovou nabídku a zvolte z ní příkaz Změnit komunikační heslo.
  5. V dialogu Nastavit komunikační heslo zadejte do textových polí Nové heslo a Potvrďte heslo vámi požadované heslo a stiskněte tlačítko Nastavit.
  6. V případě, kdy se vámi zadané řetězce liší, informuje vás o této situaci systém dialogem Chyba s textem Potvrzené heslo je odlišné od hesla nového. Zadejte heslo znovu. Stiskněte tlačítko OK a pokračujte podle bodu č. 5.

Vyčištění vyrovnávací paměti s komunikačními hesly

Každé zadané heslo pro komunikaci ze vzdáleným klientem je uchováno v paměti až do ukončení práce s ovládacím prostředím. Máte možnost odstranit vložená komunikační hesla i v průběhu práce s ovládacím prostředím. Potom ovšem bude muset při nové komunikaci s klientem, který vyžaduje heslo, heslo znovu zadat. Vložená komunikační hesla odstraníte následujícím postupem:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku Remote Control 9x.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess Remote Control.
  3. V levém okně aplikace označte počítač či skupinu počítačů s nimiž hodláte pracovat.
  4. Z nabídky Správce systému zvolte příkaz Odstranit vložená komunikační hesla.

Nastavení hesla pro ovládací aplikaci Remote Control

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku Remote Control 9x.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess Remote Control.
  3. Z nabídky Správce systému zvolte příkaz Nastavení vstupního hesla.
  4. V dialogu Nastavení hesla OptimAccess Remote Control zadejte do textových polí Nové heslo a Potvrďte heslo vámi požadované heslo a stiskněte tlačítko Nastavit.
  5. Zadali-li jste do obou polí stejný alfanumerický řetězec, systém změní komunikační heslo a informuje vás o tom dialogem Remote Control s textem Heslo bylo nastaveno. Ukončete jej stiskem tlačítka OK. V případě, kdy se vámi zadané řetězce liší, informuje vás o této situaci systém dialogem Remote Control s textem Potvrzené heslo je odlišné od hesla nového. Zadejte heslo znovu. Stiskněte tlačítko OK a pokračujte podle bodu č. 4.


Aplikace pro vzdálenou správu stanic Windows 2000 a NT

Ovládací aplikaci pro správu klientů s operačním systémem Windows 2000 a Windows NT spustíte následujícím postupem:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku Remote Control NT.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess Remote Control.

Ovládací aplikaci pro správu klientů s operačním systémem Windows 9x lze rovněž spustit souborem Oarcnt.exe z adresáře, kam jste instalovali ochranný systém OptimAccess.

Ovládání jednotlivých funkcí programu pro vzdálenou správu je stejné jako v případě ovládací aplikace pro systém Windows. Podrobnosti o jednotlivých funkcích naleznete pod heslem Ovládání aplikace ve Windows NT/2000. Další podrobnosti o ovládací aplikaci pro vzdálenou správu stanic naleznete pod hesly:

  • Rozhraní ovládacích prvků


Rozhraní ovládacích prvků

Microsoft Windows Network

Slouží k průchodu všech okolních počítačích. Přitom systém respektuje topologii vaší sítě. Po vylistování obsahu Microsoft Windows Network stiskem na ikonu plus se vám zobrazí všechny přístupné skupiny (domény). Po vylistování obsahu skupiny se vám zobrazí všechny přístupné počítače. Zobrazené počítače mají ikonu bílého počítače, protože není známo, které počítače obsahují klienta vzdálené správy a je možné je ovládat. Kliknutím na počítač se u počítače zobrazí příslušná ikona stavu klienta vzdálené správy. Ikony indikující stav počítače:

  • Je třeba načíst aktuální stav počítače.
  • Ochranný systém není aktivní, je možno jej pouze aktivovat.
  • Ochranný systém je aktivní a lze měnit nastavení ochranného systému.
  • Na počítači není instalovaný klient vzdálené správy nebo počítač není na síti přístupný.

Nalezené počítače

Zde naleznete ikony počítačů, které budete vyhledávat prostřednictvím následujícího postupu:

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku Remote Control NT.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess Remote Control.
  3. Z nabídky Správce zvolte příkaz Najít počítač.
  4. V dialogu Hledání počítače můžete vyhledávat prostřednictvím síťového jména nebo IP adresy. Zvolte požadovaný způsob vyhledávání, do příslušného pole zadejte jméno či IP adresu a stiskněte tlačítko OK.

Nastavení hesla pro vstup do aplikace Remote Control

  1. Klepněte na tlačítko Start, přejdete na příkaz Programy, zvolíte položku Ochranný systém OptimAccess a klepněte na položku Remote Control NT.
  2. Po spuštění ovládací aplikace vás systém vyzve k zadání přístupového hesla. Po jeho vepsání do příslušného textového pole stiskněte klávesu ENTER anebo stiskněte myší tlačítko Ano. Stiskem na tlačítko Storno ukončíte ovládací aplikaci OptimAccess Remote Control.
  3. Z nabídky Správce zvolte příkaz Změna hesla.
  4. V dialogu Nastavení hesla OptimAccess Remote Control zadejte do textových polí Nové heslo a Potvrďte heslo vámi požadované heslo a stiskněte tlačítko Nastavit.
  5. Zadali-li jste do obou polí stejný alfanumerický řetězec, systém změní komunikační heslo a informuje vás o tom dialogem Remote Control s textem Heslo bylo nastaveno. Ukončete jej stiskem tlačítka OK. V případě, kdy se vámi zadané řetězce liší, informuje vás o této situaci systém dialogem Remote Control s textem Potvrzené heslo je odlišné od hesla nového. Zadejte heslo znovu. Stiskněte tlačítko OK a pokračujte podle bodu č. 4.


Doporučený postup konfigurace

  1. Vyexportovat základní nastavení ochranného systému do datového souboru. Je vhodné uložit si základní nastavení bez jakýchkoliv změn. V případě instalace ochranného systému pod Windows 9x proto ukončete průvodce stiskem tlačítka Storno a vyexportujte základní nastavení systému (bez případných změn). Určitě toto základní nastavení budete potřebovat v případě rozsáhlých aktualizací programového vybavení počítače či samotného operačního systému (podrobnosti naleznete pod heslem Jak postupovat v případě změny konfigurace OS?).
  2. Zakázat instalaci nových programů. Je vhodné použít pro jména instalačních souborů obecnou masku *setup* a *install* (některé programy totiž v názvu souboru instalátoru obsahují rovněž i číslo verze či jazykovou mutaci).
  3. Nemáte-li instalován nadstavbový modul Extension, je vhodné aktivovat kompletní ochranu Registrační databáze. Dále pokračujte v tomto postupu podle bodu č. 6.
  4. Máte-li instalován nadstavbový modul Extension případně nepoužijete-li funkci pro kompletní ochranu Registrační databáze, je vhodné chránit následující Ovládací panely: Systém, Síť, Možnosti sítě Internet, Pošta, Modemy.
  5. V nadstavbovém modulu Extension použijte toto nastavení:
    • Nastavení vlastností Ovládacích panelů
      • karta Síť: označit volbu Sdílení souborů a tiskáren
      • karta Hesla: označit volby Zákožka Vzdálená správa a Záložka Profily uživatelů
      • karta Tiskárny: označit volby Přidání tiskárny a Záložka Podrobnosti tiskárny
      • karta Obrazovka: označit volbu Skryj záložku Nastavení
    • Nastavení vlastností Průzkumníka a Složky
      • karta Průzkumník: s výjimkou volby Zobrazení ikony Připojení síťové jednotky označit všechny ostatní volby
      • karta Vlastnosti Složky: označit všechny volby
    • Ochrana nastavení aplikací
      • karta Internet Explorer: označit volby Chránit nastavení domovské stránky a Chránit nastavení Připojení k internetu
      • karta Word: označit všechny volby
      • karta Excel: označit všechny volby
      • karta Outlook: označit všechny volby
    • Bezpečnost
      • karta Bezpečnost: označit volbu Nástroje pro editaci registrů
  6. Nastavit následující ochranu adresářové struktury:
    • složce WINDOWS nastavit příznak RO, souborům v ní ponechat základní nastavení příznaků
    • složkám COMMAND, INF, FONTS a SYSTEM, včetně souborů v nich obsažených, ve složce WINDOWS nastavit příznak RO
    • složce SYSBACKUP ve složce WINDOWS nastavit příznak WR, souborům v ní obsaženým nastavit příznak RO s výjimkou souborů Rb001.cab až Rb005.cab (ponechat nastavený příznak WR)
    • nastavit příznak WR pro všechny soubory *.ini a *.txt ve složce WINDOWS
    • nastavit příznak WR souboru Win386.swp ve složce WINDOWS
    • máte-li instalován program Microsoft Office, nastavte pro všechny jeho složky příznak RO, u souborů ponechejte původní nastavení příznaků (základní složka pro instalaci programu Microsoft Office je C:\Program Files\Microsoft Office)
    • složkám C:\Program Files\Internet Explorer a C:\Program Files\Outlook Express nastavit příznak RO bez aplikace na soubory v nich obsažené
    • nastavit příznak RO pro systémové soubory v kořenovém adresáři disku C (tj. soubory C:\Config.sod, C:\Io.sys, C:\Msdos.sys a podobně)
    • nastavit příznak RO na složku s instalací programu OptimAccess a to včetně souborů v ní obsažených (základní složka pro instalaci je C:\OA6)
  7. Exportovat vlastní nastavení ochranného systému do datového souboru.

Jak konfigurovat síťové instalace?

Při konfiguraci síťové instalace lze samozřejmě postupovat mnoha způsoby. Jednoznačně nelze některý z možných postupů označit jako nevhodný. Jsou pouze více a méně pracné postupy. Jako obecně nejrychlejší a nejméně pracný lze považovat následující způsob:

  1. Instalovat kompletního ochranný systém na jednom počítači. Následující kroky lze provádět buďto přímo na konkrétním počítači nebo vzdáleně prostřednictvím nadstavbového modulu Remote Control.
  2. Aktivovat ovladače ochranného systému.
  3. Uložit základní konfiguraci ochranného systému do souboru.
  4. Nastavit vlastní konfiguraci ochranného systému v závislosti na konkrétních podmínkách a požadavcích. Mimo specifických požadavků souvisejících s konkrétní instalací je vhodné použít výše popsaný doporučený způsob konfigurace.
  5. Uložit vlastní konfiguraci ochranného systému do souboru.
  6. Na ostatních počítačích instalovat ochranný systém a importovat jeho nastavení ze souboru vytvořeného dle bodu č. 5.


Jak postupovat v případě změny konfigurace OS?

Plánujete-li na chráněnou stanici rozsáhlejší instalaci nového programového vybavení, rozsáhlejší aktualizaci stávajících aplikací nebo aktualizaci části operačního systému proveďte zamýšlené úpravy následujícím způsobem (odkazy na hesla uváděná v postupu přísluší k ovládací aplikaci pro Windows 9x, ekvivalentní hesla pro Windows NT a 2000 naleznete v Ovládání aplikace ve Windows NT/2000):

  1. Prostřednictvím příkazu Export nastavení do souboru zálohujte stávající nastavení systému. Postup pro export nastavení do datového souboru naleznete pod heslem Export nastavení do souboru.
  2. Obnovte základní nastavení ochranného systému, které jste zálohovali ihned po instalaci systému OptimAccess prostřednictvím příkazu Import nastavení ze souboru. Postup pro import nastavení z datového souboru naleznete pod heslem Import nastavení ze souboru.
  3. Prostřednictvím příkazu Deaktivace systému deaktivujte ochranný systém OptimAccess. Postup pro deaktivaci ochranného systému OptimAccess naleznete pod heslem Aktivace a deaktivace ochranného systému.
  4. Restartuje počítač a proveďte plánované úpravy programového vybavení počítače.
  5. Aktivujte ochranný systém a restartujte počítač. Postup pro aktivaci ochranného systému OptimAccess naleznete pod heslem Aktivace a deaktivace ochranného systému.
  6. Obnovte vaše nastavení ochranného systému OptimAccess, které jste zálohovali před úpravami programového vybavení počítače (dle kroku č. 1 tohoto postupu) prostřednictvím příkazu Import nastavení ze souboru. Postup pro import nastavení z datového souboru naleznete pod heslem Import nastavení ze souboru. Případně proveďte další požadované úpravy v nastavení funkcí ochranného systému OptimAccess.


Odstraňování problémů

V následující sekci jsou popsána řešení pro všeobecně známé situace, které mohou při práci s ochranným systémem OptimAccess nastat.

  • Tvorba záchranné diskety
  • Nouzová deinstalace systému
  • Nelze zavést operační systém
  • Nelze provést aktivaci ochranného systému
  • Zavedení systému se ukončí chybou zápisu na disk
  • Při zavedení systému hlásí výjimku Plánovač úloh
  • Zavedení systému se ukončí chybou poručení ochrany Registrační databáze
  • Operační systém hlásí nedostatek paměti
  • Systém není aktivní a nelze používat disketovou případně CD-ROM mechaniku
  • Problémy s tiskem
  • Operační systém se samovolně restartuje
  • Zastavování aplikací pro MS-DOS
  • Zapomenuté heslo pro ovládací aplikaci
  • V ovládací aplikaci pro vzdálenou správu nejsou vidět klienti
  • V ovládací aplikaci pro vzdálenou správu nelze nalézt funkčního klienta
  • Záloha uživatelského nastavení Databáze
  • Chyba porušení konfiguračního souboru
  • Nelze autorizovat disketa
  • Podezření na virovou nákazu

V případě jakýchkoliv jiných problémů kontaktujte výrobce dle pokynů uvedených pod heslem Odborná pomoc.


Tvorba záchranné diskety

Vlastní systémovou disketu můžete na příkazovém řádku vytvořit prostřednictvím příkazu format <jednotka>: /s. V grafickém rozhraní Windows použijte následující postup:

  1. V okně Tento počítač nebo v pravém podokně programu Průzkumník klepněte na ikonu diskety, kterou chcete formátovat.
  2. V nabídce Soubor klepněte na příkaz Naformátovat.
  3. V dialogu Formátovat nastavte odpovídající kapacitu diskety, nastavte Typ formátování na Úplné, označte volbu Zkopírovat systémové soubory a stiskněte na tlačítko spustit.

Vytvořenou systémovou disketu dále upravte následujícím způsobem:

  1. Z distribučního CD-ROM spusťte soubor Initdisk.exe.
  2. Z distribučního CD-ROM nakopírujte na disketu soubory Repair.exe a Backup.exe.
  3. Zkopírujte na ni soubory Fdisk.exe, Format.com a Sys.com z adresáře Windows\Command.


Nouzová deinstalace systému

Pokud se po instalaci a následném restartu proces zavádění systému zastaví nebo vůbec není zahájen, došlo ke konfliktu, který může být způsoben:
  • aktivní rezidentní částí antivirového programu,
  • přítomností viru,
  • poškozeným operačním systémem,
  • vadným pevným diskem
  • nebo přítomností neznámého nestandardního kódu.

V takovém případě se pokuste operační systém zavést s pomocí záchranné diskety, kterou jste vytvořili při instalaci případně dle postupu pod heslem Tvorba záchranné diskety. Zvolte volbu 2 a spusťte Nouzovou opravnou utilitu Repair.exe z této diskety. Zde je možno nouzově Odinstalovat první část systému OptimAccess ze zavaděčů a to klasicky, nebo s využitím Záložního souboru, který se generuje při prvotní instalaci.

Restartujte počítač a zaveďte pouze systém MS-DOS. V průběhu zavádění operačního systému stiskněte klvesu F8. Ze Stratovací nabídky systému Windows zvolte položku Jen systém MS-DOS a stiskněte klávesu ENTER. V případě, kdy jsou některé zmiňované soubory určeny pouze pro čtení, změňte nastavení jejich příznaků pomocí příkazu attrib.

Následně je třeba ručně odstavit všechny části systému OptimAccess, například souborovým manažerem:

  • přejmenovat soubor Config.sod na Config.sys (není-li záložní soubor Config.sod přítomen, odstraňte ze stávajícího souboru Config.sys řádek device=C:\Oa6\Oa16.sys);
  • v souboru Autoexec.bat smazat řádek, ve kterém se zavádí program Recovreg.exe (pokud se zavádí Komplexní ochrana registrační databáze);
  • přejmenovat v adresáři Windows soubor System.sod na System.ini (není-li záložní soubor System.sod přítomen, ze stávajícího souboru System.ini v sekci [386ENH] odstraňte řádky device=C:\Oa6\Oafile.vxd a pro případ nadstavbových modulů rovněž device=C:\Oa6\Oareg.vxd);
  • v adresáři Windows\System\Iosubsys smazat soubor Sios.vxd.
Po odstranění výše uvedených součástí restartujte počítač a operační systém by se měl zavést bez problémů klasickým způsobem. Zkontrolujte nastavení operačního systému a proveďte úkony, které jsou popsány v nápovědě pod heslem Instalace verze 6.0.


Nelze zavést operační systém

Problém: Proces zavádění operačního se zastaví za výpisem informace o instalaci ochranného systému.

Řešení:
  1. Pokuste se zavést operační systém s pomocí Záchranné diskety, kterou jste vytvořili v průběhu instalace nebo dle postupu pod heslem Tvorba záchranné diskety.
  2. Nouzově odstavte ochranný systém dle postupu pod heslem Nouzová deinstalace systému.
  3. Spusťte z diskety příkaz fdisk /mbr.
  4. Pokuste se restartovat počítač, zavést operační systém z pevného disku a opět aktivovat ochranný systém.

V případě, kdy nedojde k odstranění problému je příčinou nekompatibilní BIOS vašeho počítače. Kontaktujte oddělení technické podpory výrobce dle pokynů uvedených pod heslem Odborná pomoc.


Nelze provést aktivaci ochranného systému

Problém: Proces aktivace ochranného systému neproběhne korektně či vůbec a ukončí se chybovým hlášením.

Řešení:

Jednou z příčin tohoto problému může být chyba zaváděcího sektoru, případně jeho napadení virem. Pokuste se jej opravit postupem:

  1. Pokuste se zavést operační systém s pomocí Záchranné diskety, kterou jste vytvořili v průběhu instalace nebo dle postupu pod heslem Tvorba záchranné diskety.
  2. Spusťte z diskety příkaz fdisk /mbr.
  3. Pokuste se restartovat počítač, zavést operační systém z pevného disku, zkontrolovat stav systému antivirovým programem a opět aktivovat ochranný systém.

Dále mohou být na vině 16bitové ovladače jednotlivých hardwarových komponent. Kontrolu jejich stavu a funkce provedete prostřednictvím Ovládacího panelu Systém.


Zavedení systému se ukončí chybou zápisu na disk

Problém: Proces zavádění operačního systému Windows se ukončí chybou zápisu na disk a operační systém se ukončí.

Řešení:

Příčinou je nezavedení ovladače Oa16.sys prostřednictvím konfiguračních souborů. V paměti je aktivní pouze ovladač ze zaváděcího sektoru a celý disk je možné pouze číst.

  1. Pokuste se zavést operační systém s pomocí Záchranné diskety, kterou jste vytvořili v průběhu instalace nebo dle postupu pod heslem Tvorba záchranné diskety.
  2. Nouzově odstavte ochranný systém dle postupu pod heslem Nouzová deinstalace systému.
  3. Pokuste se restartovat počítač, zavést operační systém z pevného disku, a opět aktivovat ochranný systém.


Při zavedení systému hlásí výjimku Plánovač úloh

Problém: Proces zavádění operačního systému Windows je přerušen výjimkou programu Plánovač úloh.

Řešení:

Příčinou je chybné nastavení příznaků pro soubor protokolu programu Plánovač úloh. V adresáři Windows nastavte pro soubor Shedlog.txt příznak WR namísto stávajícího RO.


Zavedení systému se ukončí chybou poručení ochrany Registrační databáze

Problém: Proces zavádění operačního systému Windows se ukončí chybou poručení ochrany Registrační databáze a systém je možné pouze restartovat.

Řešení:

Přičinou je chybné nastavení příznaků pro adresář Windows\Sysbckup nebo některý z *.cab souborů se zálohou Registrační databáze. Tyto záložní soubory musejí být přístupné pro zápis. Podrobnosti naleznete pod heslem Doporučený postup konfigurace.


Operační systém hlásí nedostatek paměti

Problém: Proces zavádění operačního systému Windows je přerušován chybovým hlášením Nedostatek paměti.

Řešení:

Příčinou je chybné nastavení příznaků pro soubor virtuální paměti Win36.swp v adresáři Windows. Tento soubor musí být přístupný pro zápis. Podrobnosti naleznete pod heslem Doporučený postup konfigurace.


Systém není aktivní a nelze používat disketovou případně CD-ROM mechaniku

Problém: Nelze pracovat s disketovou případně CD-ROM mechanikou ačkoliv není ochranný systém aktivní.

Řešení:

Příčinou je neúplná deaktivace ochranného systému. Tento problém odstraníte smazání souboru Sios.vxd z adresáře Windows\System\Iosubsys.


Problémy s tiskem

Problém: Do operačního systému nelze přidat novou tiskárnu, případně přidaná tiskárna netiskne. Odstraňování tiskárny se ukončí chybou.

Řešení:

Příčinou je chybné nastavení příznaků pro adresář s tiskovou frontou a konfigurační soubory operačního systému. Při manipulaci s tiskárnou je třeba dodržet následující pravidla:

  • při přidávání a odstraňování tiskárny je třeba mít pro zápis přístupný soubor Win.ini z adresáře Windows;
  • při tisku musí mít uživatel pro zápis přístupný adresář Spool, tvořící pro příslušnou tiskárnu její tiskovou frontu.


Operační systém se samovolně restartuje

Problém: V průběhu práce operační systém samovolně provede restart, aniž by se opakovala stejná situace či operace.

Řešení:

Příčinu je třeba hledat v ovladačích hardwarových komponent, které jsou spolu v konfliktu. Hardwarové problémy můžete řešit za pomocí hesla Poradce při potížích v případě konfliktu hardwaru systému Windows ze standardní nápovědy operačního systému, případně konfliktní hardwarové prvky a ovladače z počítače odstranit.


Zastavování aplikací pro MS-DOS

Problém: Při práci s aplikací v režimu MS-DOS přestane počítač odpovídat.

Řešení:

Příčinu je třeba hledat v automatickém přidělování paměti pro aplikace. Přidělování paměti pro jednotlivé aplikace je třeba nastavit ručně. Ve vlastnostech konkrétní aplikace se přepněte na kartu Paměť a nastavené hodnoty automaticky změňte dle systémových požadavků konkrétní aplikace.


Zapomenuté heslo pro ovládací aplikaci

Problém: Ovládací aplikaci ochranného systému nelze spustit, protože jste zapomněli nastavené vstupní heslo.

Řešení:

Ochranný systém je bohužel třeba přeinstalovat. Nouzově jej deaktivujte dle postupu uvedeného pod heslem Nouzová deinstalace systému a instalujte jej znovu.


V ovládací aplikaci pro vzdálenou správu nejsou vidět klienti

Problém: V ovládací aplikaci pro vzdálenou správu ochranného systému nelze vylistovat či najít konkrétní počítač.

Řešení:

Na spravovaných počítačích musí být pro korektní chování systému pro vzdálenou správu aktivní klient (program Rcclient). Zkontrolujte jeho přítomnost v paměti prostřednictvím programu Správce úloh. Není-li v paměti aktivní, lze jej spustit prostřednictvím souborů Rcclient.exe (Windows 9x) respektive Rcclientnt.exe (Windows NT a Windows 2000). V případě potíží se spouštěním klienta reinstalujte ochranný systém.

Je-li klient v paměti spravované stanice aktivní a daný počítač stále nelze v ovládací aplikaci pro vzdálenou správu ochranného systému vylistovat či najít, je třeba zkontrolovat nastavení použitého komunikačního protokolu. Dále je pro korektní chování mít třeba instalovány síťové služky Klient sítě Microsoft a Sdílení souborů a tiskáren v sítích Microsoft.


V ovládací aplikaci pro vzdálenou správu nelze nalézt funkčního klienta

Problém: V ovládací aplikaci pro vzdálenou správu ochranného systému nelze vylistovat či najít konkrétní počítač, kde je v paměti aktivní klient pro vzdálenou správu.

Řešení:

V ovládací aplikaci pro vzdálenou správu ochranného systému je třeba zrušit časově omezené vyhledávání spravovaných klientů. Deaktivujte funkci Rychlé vyhledávání - viz postup pod heslem Vyhledávání počítače v sekci Rychlé vyhledávání počítače.


Záloha uživatelského nastavení Databáze

Problém: Jak zachovat nastavení uživatelsky definované Databáze ovládací aplikace pro vzdálenou správu ochranného systému při případné reinstalaci ochranného systému.

Řešení:

Uživatelské nastavení databáze se ukládá do souboru Database.dat v základním adresáři s instalovaným ochranným systémem (základní nastavení je C:\Oa6). Před případnou reinstalací si zálohujte tento soubor a po reinstalaci přepište nový soubor původní zálohou.


Chyba porušení konfiguračního souboru

Problém: Po instalaci a aktivaci hlásí ochranný systém OptimAccess chybu, kdy došlo k porušení konfiguračního souboru.

Řešení:

Smažte porušený konfigurační soubor Oasys.set v kořenovém adresáři disku C.


Nelze autorizovat disketa

Problém: Proces autorizace diskety při použití ochrany disketové mechaniky neproběhne korektně a disketa není autorizována.

Řešení:

V případě některých značkových počítačů je znemožněno provádění nestandardních operací s hardwarovými komponentami na úrovni mikrokódu. Disketu je třeba autorizovat v disketové mechanice jiného počítače.


Podezření na virovou nákazu

Problém: Antivirový program hlásí při kontrole pevného disku případně autorizovaných disket podezření na virovou nákazu.

Řešení:

Upravené zaváděcí sektory se při běžné kontrole antivirovým programem mohou zdát jako napadené virem. Jistotu, že se jedná o planý poplach můžete získat jestliže:

  1. bezprostředně před instalací ochranného systému provedete antivirovou kontrolu zaváděcího sektoru pevného disku;
  2. instalujete ochranný systém OptimAccess a ihned poté si v antivirovém programu vytvoříte záložní kopii zaváděcího sektoru pevného disku.

Srovnáním podoby záložní kopie a s aktuálním stavem zaváděcího sektoru tak kdykoliv v budoucnu snadno odhalíte virovou nákazu.


Slovníček

V rámci sekce slovníček naleznete vysvětlení těchto pojmů:

  • Aktivace
  • Alokační tabulka souborů
  • BIOS
  • Instalace
  • Registrační databáze
  • Zaváděcí sektor
  • Zavaděč


Aktivace

Pojmem aktivace se v případě ochranného systému OptimAccess rozumí zavedení ovladačů potřebných pro korektní funkci systému. Při aktivaci ovladačů se modifikuje rovněž zaváděcí oblast pevného disku. Pro korektní aktivaci ochranného systému je tudíž nutný restart počítače.

Klient pro vzdálenou správu je spuštěn v závěrečné fázi instalace a je v paměti počítače aktivní bez ohledu na to, zdali je současně aktivní také ochranný systém OptimAcces. Aktivaci ochranného systému lze tedy provést kdykoliv po instalaci systému a to i prostřednictvím aplikace pro vzdálenou správu.


Alokační tabulka souborů

Pojmem alokační tabulka souborů (angl. file allocation table, zkráceně též FAT) se označuje speciální oblast zformátovaného datového média, kde jsou uloženy informace o adresářové struktuře a v ní obsažených souborech. Alokační tabulka souborů je vytvořena operačním systéme při formátování média. Data v ní obsažená nejsou pro uživatele přímo dostupná. Manipuluje s ní operační systém a provádí v ní změny na základě uživatelských operací nad adresáři a soubory.


BIOS

Pojmem BIOS (angl. basic input/output system, zkráceně též BIOS) se rozumí základní programové vybavení počítače uložené v čipu na základní desce. Obsahuje instrukce pro zavedení operačního systému z vnější paměti (rozuměj pevného disku) do vnitřní paměti (rozuměj fyzickou RAM) počítače. Jeho prostřednictvím lze rovněž nakonfigurovat základní parametry systému (typ procesoru, velikost paměti, informace o pevných discích a podobně).


Instalace

Pojmem instalace (angl. install) se rozumí proces přípravy programu k běhu, který se sestává z fyzického překopírování potřebných souborů na pevný disk počítače, jejich rozmístění na odpovídající pozice adresářové struktury, propojení s ostatním programovým vybavením a s tím nutně související úprava nastavení jednotlivých programových částí.


Registrační databáze

Pojmem registrační databáze (angl. registry) se rozumí centrální databáze informací operačního systému Windows. Slouží k ukládání informací o hardwarovém a programovém vybavení počítače, informací o uživatelských konfiguracích a podobně. Eliminuje se tak potřeba dodatečných informačních souborů pro jednotlivé aplikace a periférie počítače. Pro manipulaci s touto centrální databází obsahuje operační systém Windows program Editor registru.


Zaváděcí sektor

Pojmem zaváděcí sektor (angl. boot sector) se označuje speciální oblast zformátovaného datového média, kde je umístěn zavaděč operačního systému. Zavaděč umístěný v zaváděcím sektoru lze spustit pouze tím způsobem, kdy datové médium umístíte do počítače a určíte jej jako „bootovací“.


Zavaděč

Pojmem zavaděč (angl. loader) se rozumí krátký jednoúčelový program určený pro zavedení operačního systému z vnější paměti (rozuměj pevného disku) do vnitřní paměti (rozuměj fyzickou RAM) počítače. Je umístěn na disku ve speciální části označované jako zaváděcí sektor. Zavaděč zkopíruje jádro operačního systému z vnější do vnitřní paměti počítače a předá mu řízení.